#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(simd_skcipher_create_compat, "_gpl", "");
KSYMTAB_FUNC(simd_skcipher_free, "_gpl", "");
KSYMTAB_FUNC(simd_register_skciphers_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_skciphers, "_gpl", "");
KSYMTAB_FUNC(simd_register_aeads_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_aeads, "_gpl", "");

SYMBOL_CRC(simd_skcipher_create_compat, 0xa4b2e566, "_gpl");
SYMBOL_CRC(simd_skcipher_free, 0xefe73979, "_gpl");
SYMBOL_CRC(simd_register_skciphers_compat, 0x981e540c, "_gpl");
SYMBOL_CRC(simd_unregister_skciphers, 0x15c8e7c5, "_gpl");
SYMBOL_CRC(simd_register_aeads_compat, 0xedcbd45d, "_gpl");
SYMBOL_CRC(simd_unregister_aeads, 0x167268c1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1beba4af, "crypto_aead_decrypt" },
	{ 0xe8628d51, "crypto_skcipher_setkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x66abc605, "crypto_unregister_aeads" },
	{ 0xdf2bc7b0, "cryptd_skcipher_child" },
	{ 0x79dbf506, "crypto_skcipher_decrypt" },
	{ 0xca59f3f5, "cryptd_alloc_skcipher" },
	{ 0xc31970a2, "crypto_aead_setkey" },
	{ 0x3239854d, "crypto_register_skcipher" },
	{ 0x4a102417, "crypto_aead_encrypt" },
	{ 0xc1b7b2f7, "cryptd_aead_queued" },
	{ 0x60152988, "crypto_unregister_skcipher" },
	{ 0x63da7bf, "crypto_register_skciphers" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfcafb827, "cryptd_skcipher_queued" },
	{ 0x42363189, "cryptd_free_aead" },
	{ 0xec7b78cb, "__kmalloc_cache_noprof" },
	{ 0x93f3c32a, "crypto_unregister_skciphers" },
	{ 0xbd1ba884, "cryptd_free_skcipher" },
	{ 0x211ca1d7, "kmalloc_caches" },
	{ 0x218d796d, "crypto_skcipher_encrypt" },
	{ 0x855e31f7, "cryptd_alloc_aead" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xffd62fec, "cryptd_aead_child" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0xe3ea4de, "crypto_register_aead" },
	{ 0x29794e9d, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0x73a182db, "crypto_register_aeads" },
	{ 0x9c12d95e, "pcpu_hot" },
	{ 0xec78de99, "crypto_aead_setauthsize" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "cryptd");


MODULE_INFO(srcversion, "1F54B96C0B189153427872F");
