#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x422cba2, "adf_err_handler" },
	{ 0x245197eb, "__pci_register_driver" },
	{ 0xcc8f6cf4, "adf_gen4_enable_error_correction" },
	{ 0x2eb5605b, "adf_gen4_init_device" },
	{ 0x4d1a3dba, "adf_sysfs_init" },
	{ 0xe327f1f1, "adf_gen4_init_dc_ops" },
	{ 0x8f722f18, "__dynamic_dev_dbg" },
	{ 0x9493fc86, "node_states" },
	{ 0x1287c1ed, "pci_unregister_driver" },
	{ 0x311b9b38, "adf_gen4_get_ring_to_svc_map" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x139688a1, "adf_gen4_get_misc_bar_id" },
	{ 0x9b57b2ec, "adf_gen4_get_sram_bar_id" },
	{ 0x3e94781b, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc34e5f05, "adf_init_admin_comms" },
	{ 0x3d346378, "adf_dev_down" },
	{ 0x92997ed8, "_printk" },
	{ 0x7a4c6240, "adf_dbgfs_init" },
	{ 0xa3ca6dd8, "adf_send_admin_init" },
	{ 0xb05438c5, "adf_sriov_configure" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x24f9c052, "adf_gen4_get_etr_bar_id" },
	{ 0x7ba910bf, "pci_select_bars" },
	{ 0xb975b6df, "adf_gen4_init_pf_pfvf_ops" },
	{ 0x354b9919, "adf_devmgr_add_dev" },
	{ 0x13affa17, "adf_isr_resource_free" },
	{ 0xe555ac79, "adf_reset_flr" },
	{ 0x28e8d785, "adf_gen4_get_num_accels" },
	{ 0x4b807f66, "adf_gen4_timer_start" },
	{ 0xf74029a6, "_dev_err" },
	{ 0xe603c5ff, "adf_gen4_timer_stop" },
	{ 0x42199bf3, "pcim_iomap_regions_request_all" },
	{ 0xa2a13365, "adf_disable_sriov" },
	{ 0xe51c83a4, "adf_cfg_dev_remove" },
	{ 0x77046008, "adf_gen4_handle_pm_interrupt" },
	{ 0x6c60b67b, "adf_gen4_get_heartbeat_clock" },
	{ 0xd8e320bf, "adf_gen4_get_sku" },
	{ 0x62fc5f43, "adf_gen4_set_ssm_wdtimer" },
	{ 0x7aa7a5c4, "adf_gen4_dev_config" },
	{ 0xe2fff535, "adf_dev_up" },
	{ 0x1cd47d04, "adf_isr_resource_alloc" },
	{ 0x881cd6ce, "adf_cfg_dev_add" },
	{ 0xbd18f2fb, "_dev_warn" },
	{ 0x9f133471, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8342150d, "adf_gen4_set_msix_default_rttable" },
	{ 0x5ccd5307, "adf_gen4_bank_state_restore" },
	{ 0xee8b2414, "dma_set_coherent_mask" },
	{ 0xe45054d, "adf_gen4_ring_pair_reset" },
	{ 0x6ed420b4, "adf_init_arb" },
	{ 0x863ae6f8, "adf_devmgr_rm_dev" },
	{ 0x2c0f84ec, "adf_gen4_init_hw_csr_ops" },
	{ 0xb202e3e7, "adf_gen4_cfg_dev_init" },
	{ 0x2230d349, "adf_gen4_get_admin_info" },
	{ 0xdc968579, "adf_gen4_get_accel_mask" },
	{ 0xfa6ffd23, "adf_gen4_init_vf_mig_ops" },
	{ 0x9a7df540, "dma_set_mask" },
	{ 0x13ce68eb, "pcim_iomap_table" },
	{ 0xf460e01c, "adf_gen4_enable_pm" },
	{ 0xfc8d9280, "pci_read_config_byte" },
	{ 0x4c051dc4, "adf_gen4_get_arb_info" },
	{ 0x2b3fdd70, "pcim_enable_device" },
	{ 0xc2d84207, "adf_get_service_enabled" },
	{ 0x37e3b75d, "adf_dbgfs_exit" },
	{ 0x81cc9475, "pci_save_state" },
	{ 0xdb89fcb8, "adf_gen4_init_ras_ops" },
	{ 0x104e2142, "adf_gen4_init_thd2arb_map" },
	{ 0xb6ade77a, "devm_kmalloc" },
	{ 0xfbdb19d1, "adf_exit_arb" },
	{ 0x5a54d418, "adf_gen4_bank_state_save" },
	{ 0xe2c32138, "adf_gen4_init_tl_data" },
	{ 0xcbc9ae2f, "adf_exit_admin_comms" },
	{ 0x5ac0287d, "adf_gen4_get_num_aes" },
	{ 0xed4102c9, "adf_devmgr_pci_to_accel_dev" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x3dc35c7, "adf_gen4_enable_ints" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "intel_qat");

MODULE_ALIAS("pci:v00008086d00004940sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004942sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004944sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "1CAC07868A5E9FCD7CB2615");
