#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2a325d80, "drm_atomic_helper_damage_merged" },
	{ 0x66a82b85, "noop_llseek" },
	{ 0xfd4dacf9, "drm_read" },
	{ 0xcd96f0f5, "drm_gem_fb_create_with_dirty" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x29f37409, "drm_gem_begin_shadow_fb_access" },
	{ 0x947fd3b3, "drmm_kms_helper_poll_init" },
	{ 0x6314cd6c, "drm_atomic_helper_check_plane_state" },
	{ 0xaf5b4250, "drm_crtc_init_with_planes" },
	{ 0x70487ac2, "drm_atomic_helper_disable_planes_on_crtc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5a04b43d, "drm_dev_unregister" },
	{ 0xb6a6b711, "drm_fb_clip_offset" },
	{ 0xb19b445, "ioread8" },
	{ 0x95678c19, "__devm_drm_dev_alloc" },
	{ 0x2293ed33, "drm_gem_shmem_prime_import_sg_table" },
	{ 0xbd18f2fb, "_dev_warn" },
	{ 0x4c268c56, "drmm_kmalloc" },
	{ 0xf286ae5b, "drm_connector_update_edid_property" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1769f427, "drm_atomic_helper_set_config" },
	{ 0x3f670e43, "devm_arch_phys_wc_add" },
	{ 0xf8460fc1, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0x1dd4e4fe, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xa5ef3bd6, "drm_connector_cleanup" },
	{ 0xde300930, "drm_atomic_helper_check_crtc_primary_plane" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x13dd63e2, "drm_universal_plane_init" },
	{ 0x332eb3a0, "drm_gem_destroy_shadow_plane_state" },
	{ 0x7f285ef9, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0xc1a8bb98, "drm_crtc_enable_color_mgmt" },
	{ 0x930b39f, "drm_fb_memcpy" },
	{ 0xabdd020c, "drm_encoder_init" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xec7b78cb, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4b55e676, "drm_helper_probe_single_connector_modes" },
	{ 0x2e7aba53, "__drm_atomic_helper_crtc_reset" },
	{ 0xdd90d84c, "drm_gem_reset_shadow_plane" },
	{ 0x540eaca6, "pcim_iomap" },
	{ 0x2b39d523, "pci_disable_device" },
	{ 0xa9befc2e, "drm_gem_end_shadow_fb_access" },
	{ 0xc4aa57de, "drm_atomic_helper_page_flip" },
	{ 0x47d1c836, "devm_ioremap_wc" },
	{ 0xb4d4e5c, "drm_atomic_helper_connector_reset" },
	{ 0x3e7bca39, "drm_mode_config_reset" },
	{ 0x4c12a84, "__devm_add_action" },
	{ 0x9f295d35, "drm_mode_config_helper_resume" },
	{ 0x208f080c, "param_ops_int" },
	{ 0x2b3fdd70, "pcim_enable_device" },
	{ 0x9c6d633d, "drm_fbdev_shmem_setup" },
	{ 0x54942bd1, "drm_atomic_helper_update_plane" },
	{ 0x5d2318b1, "drm_compat_ioctl" },
	{ 0xd7cb603, "drm_dev_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x211ca1d7, "kmalloc_caches" },
	{ 0x270336bc, "drm_release" },
	{ 0x2d88c6ec, "drm_connector_helper_detect_from_ddc" },
	{ 0x81cc9475, "pci_save_state" },
	{ 0x21ccd5d6, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0x27af03c9, "drm_open" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x1d2f5f04, "drm_poll" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xc3fa1316, "drm_mode_crtc_set_gamma_size" },
	{ 0x634ea1a4, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xe8cf1656, "drm_plane_enable_fb_damage_clips" },
	{ 0x431353d4, "drm_gem_shmem_dumb_create" },
	{ 0x32579c, "i2c_bit_add_bus" },
	{ 0xeb26d8bd, "drm_atomic_helper_disable_plane" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0xdfdbe89f, "drm_atomic_helper_shutdown" },
	{ 0x707fbf4a, "request_firmware" },
	{ 0x245197eb, "__pci_register_driver" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0xb9de41ce, "drmm_kfree" },
	{ 0x37a0cba, "kfree" },
	{ 0x101f168b, "drm_crtc_cleanup" },
	{ 0x79ca06c3, "pci_set_power_state" },
	{ 0xe6a66d36, "drm_encoder_cleanup" },
	{ 0x4c6dbdd9, "devm_arch_io_reserve_memtype_wc" },
	{ 0x9a0dc47c, "drmm_mode_config_init" },
	{ 0x1287c1ed, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf0aa3a92, "drm_add_modes_noedid" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xe4b90142, "dev_driver_string" },
	{ 0x159bd8c2, "drm_connector_attach_encoder" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbcf54dd8, "drm_atomic_helper_damage_iter_init" },
	{ 0x848d372e, "iowrite8" },
	{ 0xa6830fc6, "__drmm_add_action_or_reset" },
	{ 0xc4812b2f, "drm_connector_helper_get_modes" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfd5c0f20, "drm_atomic_helper_commit" },
	{ 0xd00aab1, "drm_atomic_helper_check" },
	{ 0x1cdeccfa, "__drmm_mutex_release" },
	{ 0xe2880303, "drm_atomic_helper_connector_destroy_state" },
	{ 0x18841a63, "drm_gem_mmap" },
	{ 0xe9df0309, "_dev_info" },
	{ 0x928b735b, "drm_gem_duplicate_shadow_plane_state" },
	{ 0x204e3031, "drm_ioctl" },
	{ 0xcdda72f7, "drm_plane_cleanup" },
	{ 0xaa35f050, "i2c_del_adapter" },
	{ 0x3bbaa7fd, "drm_atomic_helper_commit_tail" },
	{ 0xd86dd9da, "drm_connector_init" },
	{ 0x276b2d54, "pci_iomap_range" },
	{ 0xf74029a6, "_dev_err" },
	{ 0xaff426aa, "drm_mode_config_helper_suspend" },
	{ 0x99691972, "drm_connector_init_with_ddc" },
	{ 0xd93a9d2f, "drm_add_edid_modes" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "i2c-algo-bit");

MODULE_ALIAS("pci:v00001A03d00002000sv*sd*bc03sc*i*");
MODULE_ALIAS("pci:v00001A03d00002010sv*sd*bc03sc*i*");

MODULE_INFO(srcversion, "A82D6C675661DE8A6E962CE");
