#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ssd130x_variants, "_gpl", "DRM_SSD130X");
KSYMTAB_FUNC(ssd130x_probe, "_gpl", "");
KSYMTAB_FUNC(ssd130x_remove, "_gpl", "");
KSYMTAB_FUNC(ssd130x_shutdown, "_gpl", "");

SYMBOL_CRC(ssd130x_variants, 0x760c3ba6, "_gpl");
SYMBOL_CRC(ssd130x_probe, 0xaae931e4, "_gpl");
SYMBOL_CRC(ssd130x_remove, 0xed513fe7, "_gpl");
SYMBOL_CRC(ssd130x_shutdown, 0x467290f0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4d69be7f, "drm_mode_probed_add" },
	{ 0xc373ddbc, "drm_set_preferred_mode" },
	{ 0x76796de7, "pwm_put" },
	{ 0x20c3e568, "regulator_disable" },
	{ 0x30b1bdbe, "pwm_apply_might_sleep" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xa4e96f2c, "drm_crtc_helper_atomic_check" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0x7f285ef9, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xf8460fc1, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0x8ee66f10, "drm_dev_enter" },
	{ 0xfb578fc5, "memset" },
	{ 0x75fe7aae, "regmap_bulk_write" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x6314cd6c, "drm_atomic_helper_check_plane_state" },
	{ 0xa4311852, "__drm_gem_destroy_shadow_plane_state" },
	{ 0x85c4bce2, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0x549c92d4, "drm_dev_unplug" },
	{ 0xdfdbe89f, "drm_atomic_helper_shutdown" },
	{ 0x84247d5d, "drm_format_conv_state_reserve" },
	{ 0xbcf54dd8, "drm_atomic_helper_damage_iter_init" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0x6fccfdeb, "drm_gem_fb_begin_cpu_access" },
	{ 0x36903a65, "drm_fb_xrgb8888_to_rgb332" },
	{ 0x8e57bc0b, "drm_gem_fb_end_cpu_access" },
	{ 0x8e533de4, "drm_fb_xrgb8888_to_gray8" },
	{ 0xe4b90142, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb6ac364, "drm_fb_xrgb8888_to_mono" },
	{ 0xe1adb9c5, "gpiod_set_value_cansleep" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3442e5ea, "regulator_enable" },
	{ 0x983e99a2, "pwm_get" },
	{ 0x8f722f18, "__dynamic_dev_dbg" },
	{ 0x211ca1d7, "kmalloc_caches" },
	{ 0xec7b78cb, "__kmalloc_cache_noprof" },
	{ 0x2e7aba53, "__drm_atomic_helper_crtc_reset" },
	{ 0x24c81ce, "__drm_gem_reset_shadow_plane" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbd18f2fb, "_dev_warn" },
	{ 0x2293ed33, "drm_gem_shmem_prime_import_sg_table" },
	{ 0x431353d4, "drm_gem_shmem_dumb_create" },
	{ 0x66a82b85, "noop_llseek" },
	{ 0xfd4dacf9, "drm_read" },
	{ 0x1d2f5f04, "drm_poll" },
	{ 0x204e3031, "drm_ioctl" },
	{ 0x5d2318b1, "drm_compat_ioctl" },
	{ 0x18841a63, "drm_gem_mmap" },
	{ 0x27af03c9, "drm_open" },
	{ 0x270336bc, "drm_release" },
	{ 0xcd96f0f5, "drm_gem_fb_create_with_dirty" },
	{ 0xd00aab1, "drm_atomic_helper_check" },
	{ 0xfd5c0f20, "drm_atomic_helper_commit" },
	{ 0xb4d4e5c, "drm_atomic_helper_connector_reset" },
	{ 0x4b55e676, "drm_helper_probe_single_connector_modes" },
	{ 0xa5ef3bd6, "drm_connector_cleanup" },
	{ 0x1dd4e4fe, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xe2880303, "drm_atomic_helper_connector_destroy_state" },
	{ 0xe6a66d36, "drm_encoder_cleanup" },
	{ 0x101f168b, "drm_crtc_cleanup" },
	{ 0x1769f427, "drm_atomic_helper_set_config" },
	{ 0xc4aa57de, "drm_atomic_helper_page_flip" },
	{ 0x54942bd1, "drm_atomic_helper_update_plane" },
	{ 0xeb26d8bd, "drm_atomic_helper_disable_plane" },
	{ 0xcdda72f7, "drm_plane_cleanup" },
	{ 0x29f37409, "drm_gem_begin_shadow_fb_access" },
	{ 0xa9befc2e, "drm_gem_end_shadow_fb_access" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd632407, "regmap_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x95678c19, "__devm_drm_dev_alloc" },
	{ 0xf6d0bf6d, "device_get_match_data" },
	{ 0x6084c3ee, "device_property_read_u32_array" },
	{ 0x2d2b1be8, "device_property_read_u8_array" },
	{ 0xe4f3b253, "device_property_present" },
	{ 0x48c6da1a, "devm_gpiod_get_optional" },
	{ 0xef3d0b62, "devm_regulator_get" },
	{ 0x2d593fc5, "devm_backlight_device_register" },
	{ 0x9a0dc47c, "drmm_mode_config_init" },
	{ 0x13dd63e2, "drm_universal_plane_init" },
	{ 0xe8cf1656, "drm_plane_enable_fb_damage_clips" },
	{ 0xaf5b4250, "drm_crtc_init_with_planes" },
	{ 0xabdd020c, "drm_encoder_init" },
	{ 0xd86dd9da, "drm_connector_init" },
	{ 0x159bd8c2, "drm_connector_attach_encoder" },
	{ 0x3e7bca39, "drm_mode_config_reset" },
	{ 0xd7cb603, "drm_dev_register" },
	{ 0x9c6d633d, "drm_fbdev_shmem_setup" },
	{ 0xb86f9819, "dev_err_probe" },
	{ 0xf74029a6, "_dev_err" },
	{ 0x5f2ba379, "drm_mode_duplicate" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C157EB9E09F89E3AFEB376B");
