#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pmbus_clear_cache, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_update, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_page, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_fan, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_device, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_cached, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_clear_faults, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_byte_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_word_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_driver_info, "_gpl", "PMBUS");
KSYMTAB_DATA(pmbus_regulator_ops, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_do_probe, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_debugfs_dir, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_lock_interruptible, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_unlock, "_gpl", "PMBUS");

SYMBOL_CRC(pmbus_clear_cache, 0x9328aaef, "_gpl");
SYMBOL_CRC(pmbus_set_update, 0xb4cd4778, "_gpl");
SYMBOL_CRC(pmbus_set_page, 0x72eee440, "_gpl");
SYMBOL_CRC(pmbus_write_byte, 0x67f050c5, "_gpl");
SYMBOL_CRC(pmbus_write_word_data, 0x5b5a0d33, "_gpl");
SYMBOL_CRC(pmbus_update_fan, 0x2f142a97, "_gpl");
SYMBOL_CRC(pmbus_read_word_data, 0x31c2e169, "_gpl");
SYMBOL_CRC(pmbus_read_byte_data, 0x7caa1a93, "_gpl");
SYMBOL_CRC(pmbus_write_byte_data, 0xb2b69e9c, "_gpl");
SYMBOL_CRC(pmbus_update_byte_data, 0xc55398cd, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_device, 0x68690f8a, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_cached, 0x2176f248, "_gpl");
SYMBOL_CRC(pmbus_clear_faults, 0x8367f53d, "_gpl");
SYMBOL_CRC(pmbus_check_byte_register, 0xddaa2425, "_gpl");
SYMBOL_CRC(pmbus_check_word_register, 0x5f0ebef9, "_gpl");
SYMBOL_CRC(pmbus_get_driver_info, 0x6ce9899b, "_gpl");
SYMBOL_CRC(pmbus_regulator_ops, 0x433b04ee, "_gpl");
SYMBOL_CRC(pmbus_do_probe, 0x44f60b7d, "_gpl");
SYMBOL_CRC(pmbus_get_debugfs_dir, 0x53e00f12, "_gpl");
SYMBOL_CRC(pmbus_lock_interruptible, 0x45af41a1, "_gpl");
SYMBOL_CRC(pmbus_unlock, 0x3dcdca11, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xce311c5e, "rdev_get_id" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x52516cd4, "sysfs_notify" },
	{ 0x33b96279, "kobject_uevent" },
	{ 0x8f722f18, "__dynamic_dev_dbg" },
	{ 0xf22a5a51, "regulator_notifier_call_chain" },
	{ 0x9166fada, "strncpy" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x706e17d8, "i2c_smbus_xfer" },
	{ 0xf74029a6, "_dev_err" },
	{ 0x5634edf2, "device_create_file" },
	{ 0x4c12a84, "__devm_add_action" },
	{ 0x79e823c0, "devm_kstrdup" },
	{ 0x7410aba2, "strreplace" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4f9ab0c9, "devm_hwmon_device_register_with_groups" },
	{ 0x2696a11, "devm_regulator_register" },
	{ 0xb86f9819, "dev_err_probe" },
	{ 0xaa3df302, "devm_request_threaded_irq" },
	{ 0x96848186, "scnprintf" },
	{ 0xe11ee08f, "debugfs_create_file" },
	{ 0xbd18f2fb, "_dev_warn" },
	{ 0x66a82b85, "noop_llseek" },
	{ 0xb9af54e8, "simple_open" },
	{ 0x734dbd4e, "debugfs_attr_read" },
	{ 0xae4d2378, "debugfs_attr_write" },
	{ 0xb49bca0a, "simple_attr_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3a269d8f, "i2c_smbus_write_byte_data" },
	{ 0x22fda89a, "i2c_smbus_read_byte_data" },
	{ 0x678fe7a1, "i2c_smbus_write_byte" },
	{ 0x5fa21bfe, "i2c_smbus_write_word_data" },
	{ 0x7cf5a5c4, "i2c_smbus_read_word_data" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7fed82c8, "device_remove_file" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xee0472b6, "devm_krealloc" },
	{ 0xb6ade77a, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1f394bba, "debugfs_create_dir" },
	{ 0x4644e7a7, "debugfs_remove" },
	{ 0x8ec193af, "simple_attr_open" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb67e6827, "i2c_smbus_read_block_data" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa89188d1, "rdev_get_dev" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "396207AED3A699221C7726C");
