#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(bmc150_magn_regmap_config, "", "IIO_BMC150_MAGN");
KSYMTAB_FUNC(bmc150_magn_probe, "", "IIO_BMC150_MAGN");
KSYMTAB_FUNC(bmc150_magn_remove, "", "IIO_BMC150_MAGN");
KSYMTAB_DATA(bmc150_magn_pm_ops, "", "IIO_BMC150_MAGN");

SYMBOL_CRC(bmc150_magn_regmap_config, 0x4ee226fc, "");
SYMBOL_CRC(bmc150_magn_probe, 0xb4ed99e2, "");
SYMBOL_CRC(bmc150_magn_remove, 0xf901b43d, "");
SYMBOL_CRC(bmc150_magn_pm_ops, 0x22d3dd36, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf5c3571a, "iio_push_to_buffers" },
	{ 0x18096909, "iio_device_unregister" },
	{ 0x56c8688d, "__pm_runtime_disable" },
	{ 0x50dd09c3, "__pm_runtime_set_status" },
	{ 0x95130eaf, "iio_triggered_buffer_cleanup" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x280dbaa, "iio_trigger_unregister" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1d480cf7, "regulator_bulk_disable" },
	{ 0x92961559, "devm_iio_device_alloc" },
	{ 0xbefc1392, "devm_regulator_bulk_get" },
	{ 0x89cb3e97, "iio_read_mount_matrix" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2db4067d, "regulator_bulk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd632407, "regmap_write" },
	{ 0x3775b191, "iio_device_id" },
	{ 0x5f2c2e46, "__devm_iio_trigger_alloc" },
	{ 0x5c4e40af, "iio_trigger_register" },
	{ 0x2d6bcdcb, "iio_trigger_generic_data_rdy_poll" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x50f3a56d, "iio_triggered_buffer_setup_ext" },
	{ 0xb86f9819, "dev_err_probe" },
	{ 0x8f722f18, "__dynamic_dev_dbg" },
	{ 0xf31d7aad, "pm_runtime_enable" },
	{ 0xd64652f6, "pm_runtime_set_autosuspend_delay" },
	{ 0xd067dd76, "__pm_runtime_use_autosuspend" },
	{ 0xf8865d5f, "__iio_device_register" },
	{ 0x663dc4cc, "is_acpi_device_node" },
	{ 0xe62b852e, "acpi_match_device" },
	{ 0x12eb077c, "iio_show_mount_matrix" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x85eba607, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xeb53f147, "__pm_runtime_suspend" },
	{ 0xf74029a6, "_dev_err" },
	{ 0x49884e7c, "regmap_bulk_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x793fb57e, "regmap_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfa140a58, "regmap_update_bits_base" },
	{ 0x96848186, "scnprintf" },
	{ 0x35607f1e, "iio_buffer_enabled" },
	{ 0x56f5af51, "iio_trigger_notify_done" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "60BA42D962978C4291D0227");
