#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtrs_clt_get_permit, "", "");
KSYMTAB_FUNC(rtrs_clt_put_permit, "", "");
KSYMTAB_FUNC(rtrs_clt_open, "", "");
KSYMTAB_FUNC(rtrs_clt_close, "", "");
KSYMTAB_FUNC(rtrs_clt_request, "", "");
KSYMTAB_FUNC(rtrs_clt_rdma_cq_direct, "", "");
KSYMTAB_FUNC(rtrs_clt_query, "", "");

SYMBOL_CRC(rtrs_clt_get_permit, 0x38080fea, "");
SYMBOL_CRC(rtrs_clt_put_permit, 0x9b38eaaf, "");
SYMBOL_CRC(rtrs_clt_open, 0x029e2ff4, "");
SYMBOL_CRC(rtrs_clt_close, 0x5f65ead2, "");
SYMBOL_CRC(rtrs_clt_request, 0x519b52fc, "");
SYMBOL_CRC(rtrs_clt_rdma_cq_direct, 0x5d32f878, "");
SYMBOL_CRC(rtrs_clt_query, 0xfa641572, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x96b29254, "strncasecmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf6fd4070, "rtrs_ib_dev_find_or_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xee93efc3, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9bd96b32, "put_device" },
	{ 0x70593ddf, "rtrs_rdma_dev_pd_deinit" },
	{ 0xa916b694, "strnlen" },
	{ 0x972a132e, "const_pcpu_hot" },
	{ 0x137669a0, "rdma_resolve_route" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2b9291a6, "rtrs_iu_free" },
	{ 0x46f8ccfc, "ib_map_mr_sg" },
	{ 0xc1799963, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x63c889e6, "perf_trace_run_bpf_submit" },
	{ 0x2259e7b4, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x840d11eb, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2773c485, "__wake_up_locked" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2d112949, "kobj_sysfs_ops" },
	{ 0x155f2ce, "rtrs_cq_qp_destroy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd8f9a2ba, "trace_event_reg" },
	{ 0x6ccedca5, "iov_iter_kvec" },
	{ 0x99284012, "rtrs_iu_post_recv" },
	{ 0x4b01dcee, "kobject_init_and_add" },
	{ 0xc136172, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x158f522c, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbb5d920a, "sysfs_remove_file_self" },
	{ 0xe6b3ac6b, "bpf_trace_run1" },
	{ 0x8d381a8b, "device_del" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x87ed9a89, "ib_alloc_mr" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x37fe6473, "rdma_connect_locked" },
	{ 0xf12c320b, "rdma_set_reuseaddr" },
	{ 0x5aec022c, "kobject_create_and_add" },
	{ 0xe15357ef, "sockaddr_to_str" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x79f4b5c9, "sysfs_remove_group" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0x8d2ea247, "ib_dma_virt_map_sg" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x5afd0177, "kobject_del" },
	{ 0x265bcd8c, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3c78cba4, "rdma_destroy_id" },
	{ 0x3bb68ba, "__dma_sync_single_for_device" },
	{ 0xec7b78cb, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xedc4bcd1, "rtrs_start_hb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x33b96279, "kobject_uevent" },
	{ 0xd3e8fdf6, "_copy_from_iter" },
	{ 0x50173ab6, "ib_drain_qp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4bf806e0, "dma_unmap_sg_attrs" },
	{ 0x922afa92, "rtrs_cq_qp_create" },
	{ 0xcd1f5249, "rtrs_ib_dev_put" },
	{ 0x754d539c, "strlen" },
	{ 0x3f09842f, "rtrs_init_hb" },
	{ 0xf10cebc, "rdma_consumer_reject_data" },
	{ 0xdce30240, "rtrs_stop_hb" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xe6a82965, "rtrs_send_hb_ack" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x6772198b, "rtrs_iu_alloc" },
	{ 0x80112931, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x211ca1d7, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x9e88f202, "dma_map_sg_attrs" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf4338082, "kobject_put" },
	{ 0x242a8646, "rtrs_addr_to_str" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x63d03b74, "rdma_reject_msg" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7502653, "dev_set_name" },
	{ 0x887302f3, "rtrs_addr_to_sockaddr" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xab0e5de9, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x23f94ecb, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc171e6be, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4cbbad0a, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xbc4e2a1b, "rdma_resolve_addr" },
	{ 0x2cca3618, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xbc825131, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1fb43732, "rtrs_post_recv_empty" },
	{ 0x9c12d95e, "pcpu_hot" },
	{ 0x4bb9991a, "ib_dereg_mr_user" },
	{ 0x6efd95b1, "ib_process_cq_direct" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x4129605e, "rtrs_iu_post_rdma_write_imm" },
	{ 0xbefe01dc, "rtrs_iu_post_send" },
	{ 0xe2964344, "__wake_up" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x37301c30, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x371dd545, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x30a8ddae, "rtrs_rdma_dev_pd_init" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "rtrs-core,rdma_cm,ib_core");


MODULE_INFO(srcversion, "62026CC17925DB963E80A4B");
