#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x12180edc, "sk_skb_reason_drop" },
	{ 0x1bfc1800, "can_dropped_invalid_skb" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x75cfb8fb, "usb_alloc_urb" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xf8216b21, "usb_anchor_urb" },
	{ 0xfad873ea, "can_put_echo_skb" },
	{ 0x68f1a786, "usb_submit_urb" },
	{ 0x4e56c2da, "usb_free_urb" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x56470118, "__warn_printk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9f1bfc9b, "consume_skb" },
	{ 0x7265ae1, "can_free_echo_skb" },
	{ 0x970c8e1e, "usb_unanchor_urb" },
	{ 0xb2584946, "netif_device_detach" },
	{ 0x2d74e512, "netdev_err" },
	{ 0x37a0cba, "kfree" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xea357f2e, "netdev_printk" },
	{ 0x3dc9fe3e, "usb_deregister" },
	{ 0x211ca1d7, "kmalloc_caches" },
	{ 0xec7b78cb, "__kmalloc_cache_noprof" },
	{ 0xb936ddb6, "unregister_candev" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x5de2f4fb, "open_candev" },
	{ 0x23a9052a, "can_rx_offload_enable" },
	{ 0xe721e5d, "napi_disable" },
	{ 0xf7f30bfd, "close_candev" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x862258db, "timecounter_init" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x3278e4f8, "can_rx_offload_queue_timestamp" },
	{ 0x85b3b62f, "can_rx_offload_queue_tail" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x19fd05a8, "can_rx_offload_get_echo_skb_queue_tail" },
	{ 0xdd2c0ba1, "netif_tx_wake_queue" },
	{ 0x5c57c7b1, "alloc_can_err_skb" },
	{ 0xf5b274cb, "can_rx_offload_irq_finish" },
	{ 0xd3be5a48, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0x3c9d7423, "alloc_canfd_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0x3edc3ae8, "alloc_can_skb" },
	{ 0x9a55685c, "can_change_mtu" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2671abca, "usb_register_driver" },
	{ 0x5734e7ea, "usb_control_msg_send" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1b6365a1, "usb_control_msg_recv" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4201392c, "ethtool_op_get_ts_info" },
	{ 0x3825e564, "can_ethtool_op_get_ts_info_hwts" },
	{ 0x3c3e94b5, "can_eth_ioctl_hwts" },
	{ 0xf74029a6, "_dev_err" },
	{ 0x9fda4745, "alloc_candev_mqs" },
	{ 0xe9df0309, "_dev_info" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x90fe2d52, "can_rx_offload_add_manual" },
	{ 0xe8cde332, "register_candev" },
	{ 0x40de2455, "can_rx_offload_del" },
	{ 0x2a3a8248, "free_candev" },
	{ 0xed0af5fb, "netdev_info" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "can-dev,usbcore");

MODULE_ALIAS("usb:v1D50p606Fd*dc*dsc*dp*ic*isc*ip*in00*");
MODULE_ALIAS("usb:v1209p2323d*dc*dsc*dp*ic*isc*ip*in00*");
MODULE_ALIAS("usb:v1CD2p606Fd*dc*dsc*dp*ic*isc*ip*in00*");
MODULE_ALIAS("usb:v16D0p10B8d*dc*dsc*dp*ic*isc*ip*in00*");
MODULE_ALIAS("usb:v16D0p0F30d*dc*dsc*dp*ic*isc*ip*in00*");

MODULE_INFO(srcversion, "12459A8E3E24ADA71916535");
