#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x235170f, "pci_read_config_word" },
	{ 0xa0e9eb9, "pci_write_config_word" },
	{ 0x2d74e512, "netdev_err" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xe721e5d, "napi_disable" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xca05a5aa, "netif_carrier_off" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb2584946, "netif_device_detach" },
	{ 0x9fc9138d, "device_set_wakeup_enable" },
	{ 0x367f2c85, "alloc_etherdev_mqs" },
	{ 0x634ea1a4, "pci_enable_device" },
	{ 0xfa1d3aa3, "pci_set_mwi" },
	{ 0xb4b7bbe, "pci_request_regions" },
	{ 0x9a7df540, "dma_set_mask" },
	{ 0xee8b2414, "dma_set_coherent_mask" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd7b0dc, "netif_napi_add_weight" },
	{ 0x73e9c04e, "register_netdev" },
	{ 0xf74029a6, "_dev_err" },
	{ 0xed0af5fb, "netdev_info" },
	{ 0x9f133471, "pci_set_master" },
	{ 0xe5af72f3, "pci_enable_wake" },
	{ 0xe9df0309, "_dev_info" },
	{ 0x92997ed8, "_printk" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xa5edb967, "netif_device_attach" },
	{ 0xaa918828, "__netdev_alloc_skb" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9ac63814, "dma_map_page_attrs" },
	{ 0x12180edc, "sk_skb_reason_drop" },
	{ 0xe4b90142, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xacb39ac2, "napi_enable" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x9175ecad, "netdev_warn" },
	{ 0xd14ad0a4, "__napi_schedule_irqoff" },
	{ 0xa4ab71f9, "napi_alloc_skb" },
	{ 0x1ef9bc61, "skb_put" },
	{ 0x2ed6f30c, "eth_type_trans" },
	{ 0x1c71c51f, "napi_gro_receive" },
	{ 0x938071d5, "napi_complete_done" },
	{ 0x349cba85, "strchr" },
	{ 0xfa6daffb, "eth_validate_addr" },
	{ 0x6d36c8af, "ethtool_op_get_link" },
	{ 0x208f080c, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x245197eb, "__pci_register_driver" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x804c13f2, "unregister_netdev" },
	{ 0xedc03953, "iounmap" },
	{ 0xcfab4db5, "pci_release_regions" },
	{ 0x58c9d89d, "pci_clear_mwi" },
	{ 0x2b39d523, "pci_disable_device" },
	{ 0xcf5d6f52, "free_netdev" },
	{ 0x79ca06c3, "pci_set_power_state" },
	{ 0xf02e467e, "mii_ethtool_set_link_ksettings" },
	{ 0x96b414e8, "mii_ethtool_get_link_ksettings" },
	{ 0xe6eaeee0, "dma_alloc_attrs" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe0da6412, "dma_free_attrs" },
	{ 0x5138222f, "mii_nway_restart" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x58f43e1e, "__dynamic_netdev_dbg" },
	{ 0x96a50859, "dma_unmap_page_attrs" },
	{ 0x6ff2eb4, "dev_kfree_skb_any_reason" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x72ca539, "generic_mii_ioctl" },
	{ 0x1287c1ed, "pci_unregister_driver" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xe3c8efed, "dev_addr_mod" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1567c152, "__pskb_pull_tail" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd017b62a, "mii_check_media" },
	{ 0xa99b4b9b, "dev_kfree_skb_irq_reason" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0xdd2c0ba1, "netif_tx_wake_queue" },
	{ 0xe3329284, "napi_schedule_prep" },
	{ 0x903ef991, "__napi_schedule" },
	{ 0x7353443f, "netif_schedule_queue" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "mii");

MODULE_ALIAS("pci:v000010ECd00008139sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00000357d0000000Asv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FC67FEB72AC9581B21B24CF");
