#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x51bf8b4d, "usbnet_skb_return" },
	{ 0x68461709, "genphy_resume" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4c1529f, "usbnet_tx_timeout" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0x9a5dfd, "usbnet_get_link_ksettings_mii" },
	{ 0xaeb5484c, "usbnet_read_cmd" },
	{ 0x3c095c4, "skb_copy_expand" },
	{ 0x98d64733, "phy_ethtool_get_link_ksettings" },
	{ 0xb8a00d76, "usbnet_write_cmd_nopm" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x966f7c5a, "usbnet_get_link" },
	{ 0x365e1e59, "phy_suspend" },
	{ 0x368adab9, "usbnet_suspend" },
	{ 0x12180edc, "sk_skb_reason_drop" },
	{ 0xc0cf6b6a, "usbnet_start_xmit" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbe41bed9, "usbnet_read_cmd_nopm" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x1d63e99e, "skb_push" },
	{ 0x8fef8135, "usbnet_get_drvinfo" },
	{ 0xd4197e44, "usbnet_get_endpoints" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x6fa9fe80, "mdiobus_free" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x516cd32f, "eth_platform_get_mac_address" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x3dc9fe3e, "usb_deregister" },
	{ 0x5138222f, "mii_nway_restart" },
	{ 0x7e91de61, "phy_start" },
	{ 0xf912e726, "usbnet_nway_reset" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x22d59ff0, "phy_print_status" },
	{ 0xea10d251, "dev_get_tstats64" },
	{ 0xaa918828, "__netdev_alloc_skb" },
	{ 0x58f43e1e, "__dynamic_netdev_dbg" },
	{ 0x51b75731, "net_selftest" },
	{ 0x3aa89fa4, "mdiobus_unregister" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe3782978, "usbnet_update_max_qlen" },
	{ 0xb92e88ee, "usbnet_stop" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xec7b78cb, "__kmalloc_cache_noprof" },
	{ 0x72ca539, "generic_mii_ioctl" },
	{ 0x3d4a7528, "mdiobus_get_phy" },
	{ 0xb07a3305, "usbnet_disconnect" },
	{ 0xc0527235, "phy_ethtool_nway_reset" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xcaea5247, "__mdiobus_register" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb1dba1ab, "usbnet_link_change" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x833d65d1, "usbnet_probe" },
	{ 0x6ff2eb4, "dev_kfree_skb_any_reason" },
	{ 0x6d7001e, "phy_stop" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0xddfb7be0, "phy_do_ioctl_running" },
	{ 0x962c6f65, "usbnet_resume" },
	{ 0x29fbae9f, "phy_disconnect" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7f6219e7, "mii_ethtool_gset" },
	{ 0x211ca1d7, "kmalloc_caches" },
	{ 0xed0af5fb, "netdev_info" },
	{ 0xb144e814, "phylink_connect_phy" },
	{ 0x25db9a77, "mdiobus_alloc_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc1cae85d, "usbnet_set_msglevel" },
	{ 0xa5d15901, "usbnet_write_cmd" },
	{ 0x88d5ac5e, "eth_mac_addr" },
	{ 0xb6ade77a, "devm_kmalloc" },
	{ 0x1ef9bc61, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0x5516a0c6, "mii_link_ok" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2671abca, "usb_register_driver" },
	{ 0x68f39c34, "phy_connect" },
	{ 0x1dac4f48, "usbnet_change_mtu" },
	{ 0x201ce05c, "usbnet_write_cmd_async" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0xb8f88aac, "phy_attached_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb507a198, "phy_ethtool_set_link_ksettings" },
	{ 0xfa6daffb, "eth_validate_addr" },
	{ 0x63e6d0ec, "usbnet_unlink_rx_urbs" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9175ecad, "netdev_warn" },
	{ 0x1f1c6101, "usbnet_set_link_ksettings_mii" },
	{ 0x2d74e512, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x64896df6, "phylink_create" },
	{ 0xe3c8efed, "dev_addr_mod" },
	{ 0xe69c9762, "usbnet_get_msglevel" },
	{ 0xd017b62a, "mii_check_media" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf011d6e4, "usbnet_open" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "usbnet,libphy,phylink,usbcore,mii,selftests");

MODULE_ALIAS("usb:v077Bp2226d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p1040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p1A00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p1720d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p420Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08DDp90FFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08DDp0114d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0557p2009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p003Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p006Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v6189p182Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0056d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p061Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07AAp0017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1189p0893d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1631p6200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04F1p3008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp7203d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p772Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p7720d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p1780d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0789p0160d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0018d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1557p7720d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07D1p3C05d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C05d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p1A02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1737p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0930d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp5055d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05ACp1402d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p772Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14EApAB11d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0pA877d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p7E2Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p172Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v066Bp20F9d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v33F7p0004d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "21C68325AC4A4A01448C525");
