#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(lbs_cmd_copyback, "_gpl", "");
KSYMTAB_FUNC(lbs_host_sleep_cfg, "_gpl", "");
KSYMTAB_FUNC(__lbs_cmd, "_gpl", "");
KSYMTAB_DATA(lbs_debug, "_gpl", "");
KSYMTAB_FUNC(lbs_host_to_card_done, "_gpl", "");
KSYMTAB_FUNC(lbs_suspend, "_gpl", "");
KSYMTAB_FUNC(lbs_resume, "_gpl", "");
KSYMTAB_FUNC(lbs_add_card, "_gpl", "");
KSYMTAB_FUNC(lbs_remove_card, "_gpl", "");
KSYMTAB_FUNC(lbs_start_card, "_gpl", "");
KSYMTAB_FUNC(lbs_stop_card, "_gpl", "");
KSYMTAB_FUNC(lbs_queue_event, "_gpl", "");
KSYMTAB_FUNC(lbs_notify_command_response, "_gpl", "");
KSYMTAB_FUNC(lbs_process_rxed_packet, "_gpl", "");
KSYMTAB_FUNC(lbs_send_tx_feedback, "_gpl", "");
KSYMTAB_FUNC(lbs_get_firmware_async, "_gpl", "");
KSYMTAB_FUNC(lbs_get_firmware, "_gpl", "");

SYMBOL_CRC(lbs_cmd_copyback, 0xecac1b98, "_gpl");
SYMBOL_CRC(lbs_host_sleep_cfg, 0x9c20f8d7, "_gpl");
SYMBOL_CRC(__lbs_cmd, 0x88e56cb7, "_gpl");
SYMBOL_CRC(lbs_debug, 0xf64277de, "_gpl");
SYMBOL_CRC(lbs_host_to_card_done, 0xe494190d, "_gpl");
SYMBOL_CRC(lbs_suspend, 0x7b3ca523, "_gpl");
SYMBOL_CRC(lbs_resume, 0xcfa5ac95, "_gpl");
SYMBOL_CRC(lbs_add_card, 0xf8cde2cc, "_gpl");
SYMBOL_CRC(lbs_remove_card, 0xe77e528f, "_gpl");
SYMBOL_CRC(lbs_start_card, 0xa06f9c0e, "_gpl");
SYMBOL_CRC(lbs_stop_card, 0xa5a73061, "_gpl");
SYMBOL_CRC(lbs_queue_event, 0xfe8e79d9, "_gpl");
SYMBOL_CRC(lbs_notify_command_response, 0x26d63805, "_gpl");
SYMBOL_CRC(lbs_process_rxed_packet, 0x37d178e2, "_gpl");
SYMBOL_CRC(lbs_send_tx_feedback, 0xc1b79a31, "_gpl");
SYMBOL_CRC(lbs_get_firmware_async, 0x18c1994a, "_gpl");
SYMBOL_CRC(lbs_get_firmware, 0xed189a82, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf74029a6, "_dev_err" },
	{ 0x27b24361, "cfg80211_ibss_joined" },
	{ 0x2bdebce1, "request_firmware_nowait" },
	{ 0xb9af54e8, "simple_open" },
	{ 0xb5de9897, "skb_pull" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x12180edc, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x24b484ba, "cfg80211_michael_mic_failure" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1d63e99e, "skb_push" },
	{ 0x4644e7a7, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x73e9c04e, "register_netdev" },
	{ 0x49d97f6c, "wiphy_unregister" },
	{ 0xcf5d6f52, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x49194009, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdd2c0ba1, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xabca717d, "netif_rx" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4206d187, "netdev_alert" },
	{ 0xa1fdfd49, "kthread_create_on_node" },
	{ 0xe11ee08f, "debugfs_create_file" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xec7b78cb, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xca05a5aa, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x95b2ed40, "netif_carrier_on" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x1b74dba6, "cfg80211_inform_bss_data" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x754d539c, "strlen" },
	{ 0x6ff2eb4, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x208f080c, "param_ops_int" },
	{ 0x1f394bba, "debugfs_create_dir" },
	{ 0x634fd351, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xd552872b, "cfg80211_connect_done" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x574e4e1e, "__cfg80211_get_bss" },
	{ 0xee0bb0ea, "wiphy_free" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x34cf45b7, "ieee80211_get_num_supported_channels" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x211ca1d7, "kmalloc_caches" },
	{ 0xed0af5fb, "netdev_info" },
	{ 0x7fed82c8, "device_remove_file" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba8ebb7a, "cfg80211_scan_done" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9f1bfc9b, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x804c13f2, "unregister_netdev" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x707fbf4a, "request_firmware" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x703f3cf4, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x9c12d95e, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xfa6daffb, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xa99b4b9b, "dev_kfree_skb_irq_reason" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc04e8840, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xd4c6fed5, "ether_setup" },
	{ 0x2d74e512, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x11b446f7, "pskb_expand_head" },
	{ 0xf98ca813, "wake_up_process" },
	{ 0xe3c8efed, "dev_addr_mod" },
	{ 0x2ed6f30c, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7d135254, "alloc_netdev_mqs" },
	{ 0x4047cdc1, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xe17c81e4, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x9cbba8fd, "cfg80211_put_bss" },
	{ 0xb2584946, "netif_device_detach" },
	{ 0x972a132e, "const_pcpu_hot" },
	{ 0xa5edb967, "netif_device_attach" },
	{ 0xb34cc602, "ieee80211_get_channel_khz" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5634edf2, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "A3596BD07EF50ECA056B278");
