#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt792x_tx, "_gpl", "");
KSYMTAB_FUNC(mt792x_stop, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_link_bss_remove, "_gpl", "");
KSYMTAB_FUNC(mt792x_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt792x_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_tsf, "_gpl", "");
KSYMTAB_FUNC(mt792x_set_tsf, "_gpl", "");
KSYMTAB_FUNC(mt792x_tx_worker, "_gpl", "");
KSYMTAB_FUNC(mt792x_roc_timer, "_gpl", "");
KSYMTAB_FUNC(mt792x_flush, "_gpl", "");
KSYMTAB_FUNC(mt792x_assign_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt792x_unassign_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt792x_set_wakeup, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_et_strings, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_et_sset_count, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_et_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_sta_statistics, "_gpl", "");
KSYMTAB_FUNC(mt792x_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_wiphy, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_mac80211_ops, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_wcid, "_gpl", "");
KSYMTAB_FUNC(mt792x_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792x_mcu_fw_pmctrl, "_gpl", "");
KSYMTAB_FUNC(__mt792xe_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792xe_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792xe_mcu_fw_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792x_load_firmware, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_work, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_set_timeing, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_update_mib_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_rx_get_wcid, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_assoc_rssi, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt792x_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt792x_reset, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_init_band, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_wake_work, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_power_save_work, "_gpl", "");
KSYMTAB_DATA(__tracepoint_lp_event, "_gpl", "");
KSYMTAB_FUNC(__traceiter_lp_event, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_lp_event, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_lp_event, "_gpl", "");
KSYMTAB_FUNC(mt792x_tx_stats_show, "_gpl", "");
KSYMTAB_FUNC(mt792x_queues_acq, "_gpl", "");
KSYMTAB_FUNC(mt792x_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_idle_timeout_set, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_idle_timeout_get, "_gpl", "");
KSYMTAB_FUNC(mt792x_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt792x_irq_tasklet, "_gpl", "");
KSYMTAB_FUNC(mt792x_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt792x_dma_enable, "_gpl", "");
KSYMTAB_FUNC(mt792x_wpdma_reset, "_gpl", "");
KSYMTAB_FUNC(mt792x_wpdma_reinit_cond, "_gpl", "");
KSYMTAB_FUNC(mt792x_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt792x_dma_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt792x_poll_tx, "_gpl", "");
KSYMTAB_FUNC(mt792x_poll_rx, "_gpl", "");
KSYMTAB_FUNC(mt792x_wfsys_reset, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_acpi_sar, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_acpi_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt792x_acpi_get_flags, "_gpl", "");
KSYMTAB_FUNC(mt792x_acpi_get_mtcl_conf, "_gpl", "");

SYMBOL_CRC(mt792x_tx, 0x77493d24, "_gpl");
SYMBOL_CRC(mt792x_stop, 0x18d70fa9, "_gpl");
SYMBOL_CRC(mt792x_mac_link_bss_remove, 0x4588819d, "_gpl");
SYMBOL_CRC(mt792x_remove_interface, 0x2028075c, "_gpl");
SYMBOL_CRC(mt792x_conf_tx, 0x31b436f4, "_gpl");
SYMBOL_CRC(mt792x_get_stats, 0x031588aa, "_gpl");
SYMBOL_CRC(mt792x_get_tsf, 0x4e5a1454, "_gpl");
SYMBOL_CRC(mt792x_set_tsf, 0xab1f91e2, "_gpl");
SYMBOL_CRC(mt792x_tx_worker, 0xa3f3a806, "_gpl");
SYMBOL_CRC(mt792x_roc_timer, 0x9c06d4d5, "_gpl");
SYMBOL_CRC(mt792x_flush, 0x36975e19, "_gpl");
SYMBOL_CRC(mt792x_assign_vif_chanctx, 0x70442a51, "_gpl");
SYMBOL_CRC(mt792x_unassign_vif_chanctx, 0x7b1bb14c, "_gpl");
SYMBOL_CRC(mt792x_set_wakeup, 0xa5f44c6b, "_gpl");
SYMBOL_CRC(mt792x_get_et_strings, 0xc7f308e5, "_gpl");
SYMBOL_CRC(mt792x_get_et_sset_count, 0x4596f38c, "_gpl");
SYMBOL_CRC(mt792x_get_et_stats, 0x14fe4443, "_gpl");
SYMBOL_CRC(mt792x_sta_statistics, 0x5f5c6047, "_gpl");
SYMBOL_CRC(mt792x_set_coverage_class, 0x7ec43fb8, "_gpl");
SYMBOL_CRC(mt792x_init_wiphy, 0x09ebf8b8, "_gpl");
SYMBOL_CRC(mt792x_get_mac80211_ops, 0x0fb5f37f, "_gpl");
SYMBOL_CRC(mt792x_init_wcid, 0x77a324bd, "_gpl");
SYMBOL_CRC(mt792x_mcu_drv_pmctrl, 0x9c52508d, "_gpl");
SYMBOL_CRC(mt792x_mcu_fw_pmctrl, 0x1826ccf4, "_gpl");
SYMBOL_CRC(__mt792xe_mcu_drv_pmctrl, 0x80c3961e, "_gpl");
SYMBOL_CRC(mt792xe_mcu_drv_pmctrl, 0x68c84f64, "_gpl");
SYMBOL_CRC(mt792xe_mcu_fw_pmctrl, 0x568c74e2, "_gpl");
SYMBOL_CRC(mt792x_load_firmware, 0xf0db9973, "_gpl");
SYMBOL_CRC(mt792x_mac_work, 0xe731fec5, "_gpl");
SYMBOL_CRC(mt792x_mac_set_timeing, 0xa3a13661, "_gpl");
SYMBOL_CRC(mt792x_mac_update_mib_stats, 0x9499d895, "_gpl");
SYMBOL_CRC(mt792x_rx_get_wcid, 0xb7aa8a40, "_gpl");
SYMBOL_CRC(mt792x_mac_assoc_rssi, 0xddfe30c1, "_gpl");
SYMBOL_CRC(mt792x_mac_reset_counters, 0x4ad6b34e, "_gpl");
SYMBOL_CRC(mt792x_update_channel, 0x828d7b94, "_gpl");
SYMBOL_CRC(mt792x_reset, 0x3c670990, "_gpl");
SYMBOL_CRC(mt792x_mac_init_band, 0x6f3ebf97, "_gpl");
SYMBOL_CRC(mt792x_pm_wake_work, 0x0df73a34, "_gpl");
SYMBOL_CRC(mt792x_pm_power_save_work, 0xe4ccb149, "_gpl");
SYMBOL_CRC(__tracepoint_lp_event, 0x5992538a, "_gpl");
SYMBOL_CRC(__traceiter_lp_event, 0xf83d584b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_lp_event, 0x90fb1eba, "_gpl");
SYMBOL_CRC(__SCT__tp_func_lp_event, 0xabff3e0f, "_gpl");
SYMBOL_CRC(mt792x_tx_stats_show, 0x39466111, "_gpl");
SYMBOL_CRC(mt792x_queues_acq, 0xf7b9782c, "_gpl");
SYMBOL_CRC(mt792x_queues_read, 0x2d61d5de, "_gpl");
SYMBOL_CRC(mt792x_pm_stats, 0xf196aca0, "_gpl");
SYMBOL_CRC(mt792x_pm_idle_timeout_set, 0x5a7b5c38, "_gpl");
SYMBOL_CRC(mt792x_pm_idle_timeout_get, 0xc3a0fb62, "_gpl");
SYMBOL_CRC(mt792x_irq_handler, 0xbd22e98c, "_gpl");
SYMBOL_CRC(mt792x_irq_tasklet, 0x8e471e29, "_gpl");
SYMBOL_CRC(mt792x_rx_poll_complete, 0x162b8f7e, "_gpl");
SYMBOL_CRC(mt792x_dma_enable, 0x74261fad, "_gpl");
SYMBOL_CRC(mt792x_wpdma_reset, 0x6cac360e, "_gpl");
SYMBOL_CRC(mt792x_wpdma_reinit_cond, 0x8136c661, "_gpl");
SYMBOL_CRC(mt792x_dma_disable, 0x48c78808, "_gpl");
SYMBOL_CRC(mt792x_dma_cleanup, 0x38e1de92, "_gpl");
SYMBOL_CRC(mt792x_poll_tx, 0x8858853d, "_gpl");
SYMBOL_CRC(mt792x_poll_rx, 0xa10d1b76, "_gpl");
SYMBOL_CRC(mt792x_wfsys_reset, 0x90bad994, "_gpl");
SYMBOL_CRC(mt792x_init_acpi_sar, 0xd897754a, "_gpl");
SYMBOL_CRC(mt792x_init_acpi_sar_power, 0x62e1d042, "_gpl");
SYMBOL_CRC(mt792x_acpi_get_flags, 0x7206702f, "_gpl");
SYMBOL_CRC(mt792x_acpi_get_mtcl_conf, 0x49efda14, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb6ade77a, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xab0e5de9, "trace_raw_output_prep" },
	{ 0xc171e6be, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5ac00839, "mt76_connac_mcu_uni_add_dev" },
	{ 0x707fbf4a, "request_firmware" },
	{ 0x4cbbad0a, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xac164798, "ieee80211_iterate_stations_atomic" },
	{ 0x9deb4c6c, "mt76_connac_pm_wake" },
	{ 0xbc825131, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x2592652f, "mt76_has_tx_pending" },
	{ 0x9c12d95e, "pcpu_hot" },
	{ 0x671e8ea6, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc469448a, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x8f722f18, "__dynamic_dev_dbg" },
	{ 0x9bc535bf, "mt76_dma_cleanup" },
	{ 0x5ecf5f41, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd602ab02, "mt76_tx_status_check" },
	{ 0xf98ca813, "wake_up_process" },
	{ 0x717f8d2a, "mt76_connac_free_pending_tx_skbs" },
	{ 0xb5c1d95b, "mt76_connac_power_save_sched" },
	{ 0x371dd545, "trace_event_buffer_commit" },
	{ 0x53f8ced7, "page_pool_ethtool_stats_get_strings" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x938071d5, "napi_complete_done" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xad46ef7c, "mt76_tx" },
	{ 0x903ef991, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0xec9ca1ad, "mt76_connac_mcu_set_mac_enable" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x52880d04, "ieee80211_queue_delayed_work" },
	{ 0x2c44abef, "devm_kmemdup" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x63c889e6, "perf_trace_run_bpf_submit" },
	{ 0xc1ea1b3b, "devm_kfree" },
	{ 0xf74029a6, "_dev_err" },
	{ 0xd59ef729, "mt76_connac2_load_ram" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd6176e43, "__SCK__tp_func_dev_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x91ff9f64, "seq_putc" },
	{ 0xd8f9a2ba, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x9c373415, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xb7086d04, "ieee80211_wake_queues" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0xc32e6ef3, "mt76_set_irq_mask" },
	{ 0x5cc83782, "mt76_connac_pm_dequeue_skbs" },
	{ 0x937821e5, "ieee80211_emulate_add_chanctx" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6cdd8aba, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x6ff10a8f, "mt76_ethtool_page_pool_stats" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb37ad830, "__tracepoint_dev_irq" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x265bcd8c, "trace_event_buffer_reserve" },
	{ 0xd9c3b6b0, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x5d4fa619, "mt76_txq_schedule_all" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb2334d1, "mt76_connac2_load_patch" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xec37392f, "seq_write" },
	{ 0x768cc681, "____mt76_poll_msec" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x7a628cb7, "seq_printf" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x92f30fb7, "mt76_wcid_cleanup" },
	{ 0xaa31a17, "ieee80211_queue_work" },
	{ 0xe3329284, "napi_schedule_prep" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf7bd03e9, "ieee80211_emulate_remove_chanctx" },
	{ 0xab9d88b8, "mt76_ethtool_worker" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9fc9138d, "device_set_wakeup_enable" },
	{ 0xd71a28e7, "mt76_dma_rx_poll" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x663dc4cc, "is_acpi_device_node" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mac80211,mt76");


MODULE_INFO(srcversion, "65DFE86868F1823F479FBF1");
