#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ndlc_open, "", "");
KSYMTAB_FUNC(ndlc_close, "", "");
KSYMTAB_FUNC(ndlc_send, "", "");
KSYMTAB_FUNC(ndlc_recv, "", "");
KSYMTAB_FUNC(ndlc_probe, "", "");
KSYMTAB_FUNC(ndlc_remove, "", "");
KSYMTAB_FUNC(st_nci_probe, "_gpl", "");
KSYMTAB_FUNC(st_nci_remove, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_load_session, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_event_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_cmd_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_disable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_enable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_discover_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_se_io, "", "");
KSYMTAB_FUNC(st_nci_se_init, "", "");
KSYMTAB_FUNC(st_nci_se_deinit, "", "");
KSYMTAB_FUNC(st_nci_vendor_cmds_init, "", "");

SYMBOL_CRC(ndlc_open, 0x1ab7687a, "");
SYMBOL_CRC(ndlc_close, 0x3f1e7716, "");
SYMBOL_CRC(ndlc_send, 0xaeaffbdd, "");
SYMBOL_CRC(ndlc_recv, 0x0eb392ea, "");
SYMBOL_CRC(ndlc_probe, 0x82a4ad73, "");
SYMBOL_CRC(ndlc_remove, 0x5b77f81e, "");
SYMBOL_CRC(st_nci_probe, 0xa7c4f402, "_gpl");
SYMBOL_CRC(st_nci_remove, 0x240b26b3, "_gpl");
SYMBOL_CRC(st_nci_hci_load_session, 0x1491fa40, "_gpl");
SYMBOL_CRC(st_nci_hci_event_received, 0xd2f59f7d, "_gpl");
SYMBOL_CRC(st_nci_hci_cmd_received, 0x2e00fe53, "_gpl");
SYMBOL_CRC(st_nci_disable_se, 0xdb63899d, "_gpl");
SYMBOL_CRC(st_nci_enable_se, 0xc8870657, "_gpl");
SYMBOL_CRC(st_nci_discover_se, 0x80735d1a, "_gpl");
SYMBOL_CRC(st_nci_se_io, 0x116d34c2, "");
SYMBOL_CRC(st_nci_se_init, 0x6ce2bfd0, "");
SYMBOL_CRC(st_nci_se_deinit, 0xcb66fefa, "");
SYMBOL_CRC(st_nci_vendor_cmds_init, 0x811156c4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x167c5967, "print_hex_dump" },
	{ 0x81809783, "nfc_se_transaction" },
	{ 0xf74029a6, "_dev_err" },
	{ 0xb5de9897, "skb_pull" },
	{ 0xaaa3a5fb, "nci_hci_connect_gate" },
	{ 0x12180edc, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1d63e99e, "skb_push" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xe8e1a527, "nci_prop_cmd" },
	{ 0x97f8962e, "nci_core_conn_create" },
	{ 0xafb83408, "nci_nfcc_loopback" },
	{ 0x46d3123, "nci_unregister_device" },
	{ 0x46f759b7, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbe33baac, "nci_hci_send_event" },
	{ 0xa6a889cc, "nci_hci_clear_all_pipes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x55f37d52, "nfc_se_connectivity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x20e8762b, "nci_hci_send_cmd" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xec7b78cb, "__kmalloc_cache_noprof" },
	{ 0xadb02ad2, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x2b4e69a8, "nci_recv_frame" },
	{ 0xe0fa776b, "nci_hci_dev_session_init" },
	{ 0xcc944013, "nci_hci_set_param" },
	{ 0x968d50c1, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0x211ca1d7, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xefcc3998, "skb_queue_head" },
	{ 0x2c8c258b, "nci_free_device" },
	{ 0xf77be449, "nci_allocate_device" },
	{ 0x62b8d290, "nci_register_device" },
	{ 0xb6ade77a, "devm_kmalloc" },
	{ 0x9d2519d7, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1828a346, "nfc_add_se" },
	{ 0x5ff085fa, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xceac35ae, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x17ef7539, "skb_queue_purge_reason" },
	{ 0x27a791e7, "nci_nfcee_mode_set" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5f84e977, "nci_hci_get_param" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x951657d5, "skb_queue_tail" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "nfc,nci");


MODULE_INFO(srcversion, "5FCF973BF4AA30B3DDAC57D");
