#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_should_fail, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x5189703d, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x4d32c409, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0xd22edcc7, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x0acbfa74, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x5c3fea1e, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0x259d3640, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0xd9ed2081, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x06bd34aa, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x576f24be, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0xde280810, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x4b6e3b90, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x862cd412, "_gpl");
SYMBOL_CRC(nvme_init_request, 0xcb052d9d, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0x315287f5, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x9a3dfb5a, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0xfb0dc600, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0xb4ca5e89, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x95b0b2f1, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x98c21906, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x161fb4af, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x54e7e7c5, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x68a51c33, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0xfada8373, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x49e9b0c7, "_gpl");
SYMBOL_CRC(nvme_set_features, 0xbdb21bc7, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x50b47352, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x0a5f58a0, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x2594ee34, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0xeb9011fc, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0x3155b98b, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x8a22358c, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x0ec6991d, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x3291bafb, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0xf0b63dcc, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0xd45756d7, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0xcb1e14e1, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0xc0385b4e, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x9cca4b79, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x766cb210, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0xe167d8b1, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0xee97d15e, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0x5e636046, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0xdff7c89a, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0xb338eefb, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x82f681d7, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0xe898905f, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0xcfafd45a, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x77cef3c8, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x9114c161, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0xea1008e0, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0x5d02b81a, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x1955abbb, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0xfcc7ffe7, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x2e00e5b9, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x106128b9, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0xa0024721, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x87ff9653, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0xadf0bc70, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nvme_sq, 0x3bf2393a, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x5859eefa, "_gpl");
SYMBOL_CRC(nvme_should_fail, 0x60465654, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0xef6682d8, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0xb694d36e, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0x6055172a, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x9f4ffef8, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0x12d99f82, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xce44b04a, "blk_mq_quiesce_tagset" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0x4e0b77eb, "kobject_uevent_env" },
	{ 0x86b9b934, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xe325f6fd, "init_srcu_struct" },
	{ 0x63c889e6, "perf_trace_run_bpf_submit" },
	{ 0xb8bed9ce, "__SCK__tp_func_block_bio_remap" },
	{ 0xf74029a6, "_dev_err" },
	{ 0xb70c6d58, "blk_revalidate_disk_zones" },
	{ 0xa7405cb, "debugfs_create_bool" },
	{ 0x7d88ef17, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x840d11eb, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x7f58b758, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xe866db11, "sysfs_remove_link" },
	{ 0xd588bcf1, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0x1179c4fd, "hwmon_device_register_with_info" },
	{ 0x500ffc59, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6261fbea, "submit_bio_noacct" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2492453e, "blk_sync_queue" },
	{ 0x72c6948e, "bdev_start_io_acct" },
	{ 0x4644e7a7, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8364b4d3, "__SCK__tp_func_block_bio_complete" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0xd8f9a2ba, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xfbf237f9, "blk_mq_alloc_request_hctx" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5b5b6c2c, "__io_uring_cmd_do_in_task" },
	{ 0x9f189835, "blk_mq_alloc_request" },
	{ 0xffb7c514, "ida_free" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x4af6294e, "crypto_shash_update" },
	{ 0xc136172, "class_unregister" },
	{ 0xd03f711a, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbd7ddc0e, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4297ac9, "cleanup_srcu_struct" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x60b66a68, "blk_set_stacking_limits" },
	{ 0xe16734fe, "blk_mq_freeze_queue_wait_timeout" },
	{ 0xda7e91bc, "blk_put_queue" },
	{ 0xe6b3ac6b, "bpf_trace_run1" },
	{ 0x8d381a8b, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xfb578fc5, "memset" },
	{ 0xbd18f2fb, "_dev_warn" },
	{ 0x44e89fe5, "__kmalloc_cache_node_noprof" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x27cf53d, "blk_mq_wait_quiesce_done" },
	{ 0xd1c227c5, "param_ops_charp" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xde828480, "debugfs_create_x16" },
	{ 0x49434f77, "io_uring_cmd_done" },
	{ 0x376d0ed6, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0x745a981, "xa_erase" },
	{ 0x1a7c0f22, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4b0f1f8e, "blk_mq_complete_request" },
	{ 0x30ca9ea7, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x265bcd8c, "trace_event_buffer_reserve" },
	{ 0xfd1e1bc5, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6329168a, "param_ops_bool" },
	{ 0x729fe3fc, "blk_mq_destroy_queue" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x17026b72, "blk_freeze_queue_start" },
	{ 0x1b9c93e1, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xc365b74f, "disk_live" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0xec7b78cb, "__kmalloc_cache_noprof" },
	{ 0xb83eeaab, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6df23cc1, "__tracepoint_block_bio_complete" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0x96db8df7, "hwmon_device_unregister" },
	{ 0xc82053ee, "__tracepoint_block_bio_remap" },
	{ 0x25889ab5, "blk_mq_unfreeze_queue" },
	{ 0x79fc7b70, "alloc_pages_noprof" },
	{ 0x5e67842, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x4018c089, "queue_limits_commit_update" },
	{ 0x29219244, "blkdev_compat_ptr_ioctl" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc09fbc91, "blk_rq_map_user_iov" },
	{ 0xae02aaeb, "setup_fault_attr" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x3f86f2fa, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0x35bb278a, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xfa9df330, "crypto_alloc_shash" },
	{ 0xe4da5acc, "blk_mq_freeze_queue_wait" },
	{ 0x1f394bba, "debugfs_create_dir" },
	{ 0xeb12531f, "nvme_auth_gen_privkey" },
	{ 0x56efce6d, "fault_create_debugfs_attr" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x249ba9e8, "blk_mq_requeue_request" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x80112931, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x26ae5ac, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2e171ca4, "bdev_end_io_acct" },
	{ 0x211ca1d7, "kmalloc_caches" },
	{ 0x4e144a54, "__SCT__tp_func_block_bio_complete" },
	{ 0x8a55b046, "blk_steal_bios" },
	{ 0xbcb047b3, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x14f2175, "set_capacity_and_notify" },
	{ 0x1fd73a76, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x21f440d1, "set_disk_ro" },
	{ 0xf51ddfea, "__blk_alloc_disk" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x73003d9a, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5984b8cd, "bio_integrity_map_user" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x964171cd, "device_remove_file_self" },
	{ 0x175bf0aa, "param_ops_uint" },
	{ 0x1adc932, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7502653, "dev_set_name" },
	{ 0x65d5f440, "bio_split_to_limits" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0xb2a8a892, "dev_pm_qos_expose_latency_tolerance" },
	{ 0xbd47dae0, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xab0e5de9, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x65a713, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x9a77fb91, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xc171e6be, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbe4022c7, "queue_limits_stack_bdev" },
	{ 0x4cbbad0a, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb8feca3b, "should_fail" },
	{ 0x2cca3618, "device_initialize" },
	{ 0x9f1306f5, "blk_mq_unquiesce_queue" },
	{ 0x6cbf35b9, "blk_mq_quiesce_queue" },
	{ 0xbc825131, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfd42712d, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x9c12d95e, "pcpu_hot" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc469448a, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xec3d4046, "disk_uevent" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0xd7eae911, "param_ops_byte" },
	{ 0x7cc43321, "kmem_cache_create" },
	{ 0xdebbb33, "get_device" },
	{ 0x36d72dde, "blk_mq_end_request" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2b296551, "__blk_mq_alloc_disk" },
	{ 0x8f722f18, "__dynamic_dev_dbg" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc9b949f6, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf0a22a2e, "blk_mq_alloc_tag_set" },
	{ 0x555940e8, "blk_rq_is_poll" },
	{ 0x371dd545, "trace_event_buffer_commit" },
	{ 0x82d3a8da, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xde126252, "put_disk" },
	{ 0xec8859eb, "crypto_alloc_kpp" },
	{ 0xaaef0144, "cdev_device_add" },
	{ 0x85e47818, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x118f6e0a, "blk_execute_rq" },
	{ 0x9bd96b32, "put_device" },
	{ 0x2d5822f9, "blk_mq_unquiesce_tagset" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x8b4f888c, "blk_mq_free_request" },
	{ 0x618911fc, "numa_node" },
	{ 0x972a132e, "const_pcpu_hot" },
	{ 0xc61fbc44, "__free_pages" },
	{ 0xe9df0309, "_dev_info" },
	{ 0xf7e61686, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe31e4989, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc7131b1b, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xa62b2945, "nvme_auth_gen_pubkey" },
	{ 0x3d43f97a, "compat_ptr_ioctl" },
	{ 0xed78e229, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "B7945CD14920A8A621E0F3F");
