#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_intel_cnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_DATA(sdw_intel_lnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_FUNC(sdw_intel_thread, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_probe, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_startup, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_exit, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_process_wakeen_event, "", "SOUNDWIRE_INTEL_INIT");

SYMBOL_CRC(sdw_intel_cnl_hw_ops, 0x7edd5068, "");
SYMBOL_CRC(sdw_intel_lnl_hw_ops, 0xe93617e0, "");
SYMBOL_CRC(sdw_intel_thread, 0xaa52eba1, "");
SYMBOL_CRC(sdw_intel_probe, 0x39acab9b, "");
SYMBOL_CRC(sdw_intel_startup, 0x0b1b2e75, "");
SYMBOL_CRC(sdw_intel_exit, 0x57a91f2d, "");
SYMBOL_CRC(sdw_intel_process_wakeen_event, 0xdaee3c41, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1ce1ee5d, "fwnode_property_read_u16_array" },
	{ 0x80e6ec65, "hdac_bus_eml_sdw_power_up_unlocked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4644e7a7, "debugfs_remove" },
	{ 0x6fad3ac0, "cdns_xfer_msg_defer" },
	{ 0xf33f9153, "cdns_xfer_msg" },
	{ 0xffb7c514, "ida_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8d381a8b, "device_del" },
	{ 0x9ec46286, "hdac_bus_eml_sdw_check_cmdsync_unlocked" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4cd0e35, "devm_kasprintf" },
	{ 0xfd8f93c9, "hdac_bus_eml_sdw_sync_arm_unlocked" },
	{ 0x2491bd1d, "seq_read" },
	{ 0xe11ee08f, "debugfs_create_file" },
	{ 0x74cc6658, "sdw_stream_add_master" },
	{ 0x85eba607, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x53679813, "cdns_read_ping_status" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x5bf435e6, "acpi_fetch_acpi_dev" },
	{ 0xfa6397cc, "device_get_named_child_node" },
	{ 0xab3074cd, "sdw_cdns_probe" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xec7b78cb, "__kmalloc_cache_noprof" },
	{ 0xcf0d103f, "sdw_cdns_config_update" },
	{ 0x7a628cb7, "seq_printf" },
	{ 0x9278bb8, "sdw_bus_master_delete" },
	{ 0xd17a2b4, "single_release" },
	{ 0x359dc5fb, "__auxiliary_driver_register" },
	{ 0xdc08282d, "sdw_cdns_check_self_clearing_bits" },
	{ 0xd067dd76, "__pm_runtime_use_autosuspend" },
	{ 0x4e8b6c3, "hdac_bus_eml_sdw_wait_syncpu_unlocked" },
	{ 0x208f080c, "param_ops_int" },
	{ 0x34712074, "sdw_cdns_irq" },
	{ 0xdf5eb27b, "single_open" },
	{ 0xc650eaa6, "hdac_bus_eml_sdw_sync_go_unlocked" },
	{ 0x56c8688d, "__pm_runtime_disable" },
	{ 0x1f394bba, "debugfs_create_dir" },
	{ 0xba8a6f73, "sdw_master_read_prop" },
	{ 0xb7bdce3a, "sdw_compute_params" },
	{ 0xa4c38a1f, "__pm_runtime_idle" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x211ca1d7, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xfd06c8f7, "sdw_cdns_pdi_init" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8ec193af, "simple_attr_open" },
	{ 0xae4d2378, "debugfs_attr_write" },
	{ 0xb6ade77a, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e54e18e, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa1d4bfa0, "sdw_cdns_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe018387f, "sdw_cdns_clock_restart" },
	{ 0x31d4fe61, "sdw_cdns_debugfs_init" },
	{ 0xe71b5207, "hdac_bus_eml_sdw_set_syncprd_unlocked" },
	{ 0xd64652f6, "pm_runtime_set_autosuspend_delay" },
	{ 0xf24f4729, "sdw_bus_master_add" },
	{ 0xe463eec8, "sdw_cdns_enable_interrupt" },
	{ 0x96848186, "scnprintf" },
	{ 0xb82eb130, "hdac_bus_eml_sdw_power_down_unlocked" },
	{ 0x37a0cba, "kfree" },
	{ 0x5b36b338, "sdw_cdns_is_clock_stop" },
	{ 0x9d1796d6, "seq_lseek" },
	{ 0xa1ccc6be, "sdw_cdns_config_update_set_wait" },
	{ 0x10179ebe, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8f722f18, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa68fad5c, "sdw_cdns_config_stream" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x50dd09c3, "__pm_runtime_set_status" },
	{ 0x7b645165, "auxiliary_driver_unregister" },
	{ 0x2dd12ccb, "devm_snd_soc_register_component" },
	{ 0x14820289, "cdns_bus_conf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9bd96b32, "put_device" },
	{ 0x2dcb664, "cdns_set_sdw_stream" },
	{ 0xf31d7aad, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xea86eaff, "fwnode_property_read_u32_array" },
	{ 0xe9df0309, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x98a35a86, "sdw_clear_slave_status" },
	{ 0x734dbd4e, "debugfs_attr_read" },
	{ 0x3cdc2eb7, "sdw_stream_remove_master" },
	{ 0xbcb85a89, "hdac_bus_eml_sdw_set_lsdiid" },
	{ 0xa7e2d965, "sdw_cdns_exit_reset" },
	{ 0xf74029a6, "_dev_err" },
	{ 0x893c4c05, "hdac_bus_eml_sdw_get_lsdiid_unlocked" },
	{ 0xb49bca0a, "simple_attr_release" },
	{ 0x20897218, "__auxiliary_device_add" },
	{ 0x86273b61, "sdw_cdns_alloc_pdi" },
	{ 0x50189f5c, "sdw_cdns_clock_stop" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-mlink,soundwire-cadence,soundwire-bus,soundwire-generic-allocation,snd-pcm,snd-soc-core");

MODULE_ALIAS("auxiliary:soundwire_intel.link");

MODULE_INFO(srcversion, "9D1952150D3088B33250EDE");
