#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x026f36a7, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x0da4768b, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0xdae6e954, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0xb6f93ae9, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x75ddd0bc, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x93c15416, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x1ff89665, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x0987993c, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x0998ab59, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x97e015c7, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x968a3149, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0xfbe4d9fd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xfa593f2c, "gro_cells_init" },
	{ 0xb82c2ff2, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x968a40ae, "rtnl_link_unregister" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x2259e7b4, "init_net" },
	{ 0x7d135254, "alloc_netdev_mqs" },
	{ 0x73e9c04e, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0xcf5d6f52, "free_netdev" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xb8d45878, "skb_copy_bits" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x1567c152, "__pskb_pull_tail" },
	{ 0xd1e0989c, "register_netdevice" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x4061d0a8, "netdev_state_change" },
	{ 0x879f2a12, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2db96e06, "make_kuid" },
	{ 0xb550a783, "ip6_redirect" },
	{ 0xbb8f217b, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf2d6d341, "ip6_route_output_flags" },
	{ 0xfe84a796, "xfrm_lookup" },
	{ 0x3e021813, "ip6_mtu" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x580deff1, "skb_scrub_packet" },
	{ 0x1f19c193, "skb_realloc_headroom" },
	{ 0xc2451534, "skb_set_owner_w" },
	{ 0x9f1bfc9b, "consume_skb" },
	{ 0x66c6e6a5, "ipv6_push_frag_opts" },
	{ 0x1d63e99e, "skb_push" },
	{ 0xc9e8479c, "ip6_local_out" },
	{ 0x1496bb7d, "dst_cache_get" },
	{ 0xd3f4e88c, "dst_cache_set_ip6" },
	{ 0x12df84f0, "ipv6_dev_get_saddr" },
	{ 0x4d16b691, "ip6_dst_hoplimit" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x9c12d95e, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xaea1ea8a, "ipv4_mtu" },
	{ 0xb57c95ce, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x455d02f5, "iptunnel_handle_offloads" },
	{ 0x3d69d81c, "icmpv6_ndo_send" },
	{ 0x12180edc, "sk_skb_reason_drop" },
	{ 0xd388ffa0, "icmp_ndo_send" },
	{ 0x1be11e71, "skb_clone" },
	{ 0xb5de9897, "skb_pull" },
	{ 0xe71859d1, "icmp6_send" },
	{ 0xd26b7163, "ip_route_output_flow" },
	{ 0xf892b081, "ip_route_input_noref" },
	{ 0xdd98acb5, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc653e702, "gro_cells_receive" },
	{ 0x2ed6f30c, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x31a8ff52, "__iptunnel_pull_header" },
	{ 0x39cc115e, "metadata_dst_alloc" },
	{ 0x33309a02, "__xfrm_policy_check" },
	{ 0xea10d251, "dev_get_tstats64" },
	{ 0x6329168a, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x28ba9ad0, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x9a54dd63, "ipv6_chk_addr_and_flags" },
	{ 0x4da7c41c, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x8076d672, "register_pernet_device" },
	{ 0xa893becd, "xfrm6_tunnel_register" },
	{ 0xe22edb0c, "rtnl_link_register" },
	{ 0x8c956b07, "xfrm6_tunnel_deregister" },
	{ 0x9a4760ec, "unregister_pernet_device" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xad308444, "unregister_netdevice_queue" },
	{ 0xe3c8efed, "dev_addr_mod" },
	{ 0xaffc15c5, "rt6_lookup" },
	{ 0xf6e65d9c, "dst_release" },
	{ 0xbe440074, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "5415341073ACF423E4FE2F3");
