#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfc_hci_result_to_errno, "", "");
KSYMTAB_FUNC(nfc_hci_reset_pipes, "", "");
KSYMTAB_FUNC(nfc_hci_reset_pipes_per_host, "", "");
KSYMTAB_FUNC(nfc_hci_sak_to_protocol, "", "");
KSYMTAB_FUNC(nfc_hci_target_discovered, "", "");
KSYMTAB_FUNC(nfc_hci_allocate_device, "", "");
KSYMTAB_FUNC(nfc_hci_free_device, "", "");
KSYMTAB_FUNC(nfc_hci_register_device, "", "");
KSYMTAB_FUNC(nfc_hci_unregister_device, "", "");
KSYMTAB_FUNC(nfc_hci_set_clientdata, "", "");
KSYMTAB_FUNC(nfc_hci_get_clientdata, "", "");
KSYMTAB_FUNC(nfc_hci_driver_failure, "", "");
KSYMTAB_FUNC(nfc_hci_recv_frame, "", "");
KSYMTAB_FUNC(nfc_hci_send_event, "", "");
KSYMTAB_FUNC(nfc_hci_send_cmd, "", "");
KSYMTAB_FUNC(nfc_hci_send_cmd_async, "", "");
KSYMTAB_FUNC(nfc_hci_set_param, "", "");
KSYMTAB_FUNC(nfc_hci_get_param, "", "");
KSYMTAB_FUNC(nfc_hci_disconnect_gate, "", "");
KSYMTAB_FUNC(nfc_hci_disconnect_all_gates, "", "");
KSYMTAB_FUNC(nfc_hci_connect_gate, "", "");
KSYMTAB_FUNC(nfc_llc_start, "", "");
KSYMTAB_FUNC(nfc_llc_stop, "", "");

SYMBOL_CRC(nfc_hci_result_to_errno, 0x74fe3670, "");
SYMBOL_CRC(nfc_hci_reset_pipes, 0x464b5878, "");
SYMBOL_CRC(nfc_hci_reset_pipes_per_host, 0x7964b6af, "");
SYMBOL_CRC(nfc_hci_sak_to_protocol, 0xdd231c55, "");
SYMBOL_CRC(nfc_hci_target_discovered, 0xa8c20db8, "");
SYMBOL_CRC(nfc_hci_allocate_device, 0x8884d560, "");
SYMBOL_CRC(nfc_hci_free_device, 0x1464c3ab, "");
SYMBOL_CRC(nfc_hci_register_device, 0xbc48a3a7, "");
SYMBOL_CRC(nfc_hci_unregister_device, 0xeac988e3, "");
SYMBOL_CRC(nfc_hci_set_clientdata, 0xe1f62d98, "");
SYMBOL_CRC(nfc_hci_get_clientdata, 0x94785c41, "");
SYMBOL_CRC(nfc_hci_driver_failure, 0xf9820ac1, "");
SYMBOL_CRC(nfc_hci_recv_frame, 0xc95e77e8, "");
SYMBOL_CRC(nfc_hci_send_event, 0x9873c248, "");
SYMBOL_CRC(nfc_hci_send_cmd, 0x9130e6e9, "");
SYMBOL_CRC(nfc_hci_send_cmd_async, 0xb21088ad, "");
SYMBOL_CRC(nfc_hci_set_param, 0x7698e77f, "");
SYMBOL_CRC(nfc_hci_get_param, 0x6eba0b8a, "");
SYMBOL_CRC(nfc_hci_disconnect_gate, 0xdf0e247b, "");
SYMBOL_CRC(nfc_hci_disconnect_all_gates, 0xb21dc32b, "");
SYMBOL_CRC(nfc_hci_connect_gate, 0xe421250d, "");
SYMBOL_CRC(nfc_llc_start, 0x8dea61fd, "");
SYMBOL_CRC(nfc_llc_stop, 0x7dbafa69, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1d63e99e, "skb_push" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x46f759b7, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x72037fe8, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xec7b78cb, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x4a47e70a, "nfc_targets_found" },
	{ 0x3920b4a4, "nfc_driver_failure" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x211ca1d7, "kmalloc_caches" },
	{ 0xc06a395b, "nfc_register_device" },
	{ 0xefcc3998, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1ef9bc61, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5ff085fa, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x489810be, "nfc_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xde737fc7, "nfc_allocate_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x17ef7539, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x7333173, "nfc_alloc_recv_skb" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9bd96b32, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x4f8e07bb, "__alloc_skb" },
	{ 0x951657d5, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb5de9897, "skb_pull" },
	{ 0x12180edc, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "nfc");


MODULE_INFO(srcversion, "04C8699622E961E39E6C61F");
