#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0xf5783f04, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0xc5453658, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x75a3b916, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0xea7488b1, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0xb300f151, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x55ac4400, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x72cb81e1, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x6f4b29db, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x5250e817, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0x88b68125, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0xc5491ec9, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0x80dfa088, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x3dd3682a, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x04a1a80d, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x31efb6e7, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0xdf934058, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0x4c5f239b, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0xcde2de1e, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0x3d676d6c, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0xc43d9a35, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0x643ba182, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0xacc2a0e5, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0x7cebf278, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0x38057eac, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0xd2ba97e8, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0xd84d0976, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0x9f4e4aa2, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0xf0b44d25, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0x0b4dea9c, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0xd8c5a502, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x7d722dad, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa0e0973b, "kthread_queue_work" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbd18f2fb, "_dev_warn" },
	{ 0xb6ade77a, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x3bbcbad3, "kthread_create_worker" },
	{ 0xf74029a6, "_dev_err" },
	{ 0xe9df0309, "_dev_info" },
	{ 0x30dd0aca, "sched_set_fifo" },
	{ 0xe3ea4de, "crypto_register_aead" },
	{ 0x29794e9d, "crypto_unregister_aead" },
	{ 0xdf9ccfb7, "crypto_register_ahash" },
	{ 0xd291d244, "crypto_unregister_ahash" },
	{ 0xb78b150d, "crypto_register_akcipher" },
	{ 0xa01d18b9, "crypto_unregister_akcipher" },
	{ 0xf95c5055, "crypto_register_kpp" },
	{ 0x42d5f1a2, "crypto_unregister_kpp" },
	{ 0x3239854d, "crypto_register_skcipher" },
	{ 0x60152988, "crypto_unregister_skcipher" },
	{ 0x15817980, "crypto_enqueue_request" },
	{ 0x33023c2, "crypto_dequeue_request" },
	{ 0xa9b4e944, "crypto_enqueue_request_head" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe0183e76, "kthread_destroy_worker" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "34AAA044EF2676298B039B6");
