#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_platform_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_phys, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_find_clk, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_clks, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_deassert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_assert_rsts, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_regulators, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_enable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_disable_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_get_resources, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_init_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume_host, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_suspend, "_gpl", "");
KSYMTAB_FUNC(ahci_platform_resume, "_gpl", "");

SYMBOL_CRC(ahci_platform_ops, 0x0a9f6448, "_gpl");
SYMBOL_CRC(ahci_platform_enable_phys, 0xb58074e6, "_gpl");
SYMBOL_CRC(ahci_platform_disable_phys, 0x977a4eb5, "_gpl");
SYMBOL_CRC(ahci_platform_find_clk, 0x3198af61, "_gpl");
SYMBOL_CRC(ahci_platform_enable_clks, 0x4ee8cfec, "_gpl");
SYMBOL_CRC(ahci_platform_disable_clks, 0x6c12f5bf, "_gpl");
SYMBOL_CRC(ahci_platform_deassert_rsts, 0x18895eb6, "_gpl");
SYMBOL_CRC(ahci_platform_assert_rsts, 0xfd4ca0e1, "_gpl");
SYMBOL_CRC(ahci_platform_enable_regulators, 0xda5f1dff, "_gpl");
SYMBOL_CRC(ahci_platform_disable_regulators, 0x69c6a3cc, "_gpl");
SYMBOL_CRC(ahci_platform_enable_resources, 0xcee6959b, "_gpl");
SYMBOL_CRC(ahci_platform_disable_resources, 0x31228863, "_gpl");
SYMBOL_CRC(ahci_platform_get_resources, 0x2f029ccc, "_gpl");
SYMBOL_CRC(ahci_platform_init_host, 0x3c4bd3db, "_gpl");
SYMBOL_CRC(ahci_platform_shutdown, 0x8b6307a6, "_gpl");
SYMBOL_CRC(ahci_platform_suspend_host, 0x95b71186, "_gpl");
SYMBOL_CRC(ahci_platform_resume_host, 0x7854c378, "_gpl");
SYMBOL_CRC(ahci_platform_suspend, 0x2b4d4937, "_gpl");
SYMBOL_CRC(ahci_platform_resume, 0x9082c8de, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x422cc48c, "phy_set_mode_ext" },
	{ 0x67af9d99, "phy_power_on" },
	{ 0xd6a1fd0b, "phy_init" },
	{ 0xd1766f82, "phy_power_off" },
	{ 0xa3485997, "phy_exit" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x20c3e568, "regulator_disable" },
	{ 0xc0afeaf8, "regulator_put" },
	{ 0x37a0cba, "kfree" },
	{ 0xa4c38a1f, "__pm_runtime_idle" },
	{ 0x56c8688d, "__pm_runtime_disable" },
	{ 0x9daa13a9, "ata_host_resume" },
	{ 0xdd93f39b, "ahci_reset_controller" },
	{ 0xf9220cb6, "ahci_init_controller" },
	{ 0x3442e5ea, "regulator_enable" },
	{ 0xd28124df, "platform_get_irq" },
	{ 0xcef3986e, "ahci_save_initial_config" },
	{ 0x873d9a20, "ahci_set_em_messages" },
	{ 0x23651174, "ata_host_alloc_pinfo" },
	{ 0x2cf41051, "platform_get_resource" },
	{ 0x92cc5332, "ata_port_desc" },
	{ 0x818a0013, "ata_dummy_port_ops" },
	{ 0xea50dad3, "ahci_ignore_sss" },
	{ 0x6252565c, "ahci_print_info" },
	{ 0x5ea6daf1, "ahci_host_activate" },
	{ 0x9a7df540, "dma_set_mask" },
	{ 0xee8b2414, "dma_set_coherent_mask" },
	{ 0x471d9dd, "ahci_reset_em" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf74029a6, "_dev_err" },
	{ 0xe9df0309, "_dev_info" },
	{ 0xf08bad7a, "devres_open_group" },
	{ 0xdc03fb19, "__devres_alloc_node" },
	{ 0xa3059376, "devres_add" },
	{ 0x68476242, "platform_get_resource_byname" },
	{ 0x76cac125, "devm_platform_ioremap_resource_byname" },
	{ 0xd808dd20, "devm_clk_bulk_get_all" },
	{ 0xef3d0b62, "devm_regulator_get" },
	{ 0xb6ade77a, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x60ca21d2, "devm_of_phy_get" },
	{ 0x94a47437, "regulator_get" },
	{ 0xf31d7aad, "pm_runtime_enable" },
	{ 0x85eba607, "__pm_runtime_resume" },
	{ 0x5cc4d329, "devres_remove_group" },
	{ 0x13862997, "devm_platform_ioremap_resource" },
	{ 0xf0f9e730, "devres_release_group" },
	{ 0x6ce27e1a, "devm_reset_control_array_get" },
	{ 0x82e979ea, "devm_clk_get_optional" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x5d2bc42a, "reset_control_rearm" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x1365bf15, "ata_host_suspend" },
	{ 0x50dd09c3, "__pm_runtime_set_status" },
	{ 0xca5f6258, "ahci_ops" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "libata,libahci");


MODULE_INFO(srcversion, "AFCFA732A21B6242723F671");
