#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs_dsp_mem_region_name, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_init_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_cleanup_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_acked_control, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_write_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_coeff_read_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_read_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_get_ctl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_find_alg_region, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_set_dspclk, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_run, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_stop, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_raw_data_block, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_write_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove_padding, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_wdt_expire, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_flush, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_read, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_multi_write, "_gpl", "FW_CS_DSP");

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0xd23062dc, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0x58f9d4b6, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0x593b9890, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0x12ad7064, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_write_ctrl, 0xe158e4ea, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0xfb889dd7, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_read_ctrl, 0x474a6bd3, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0x91740ed3, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0x71cb5197, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0xd16afbf1, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0xbcf3e500, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0x65331abe, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0xdfafd245, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0xd0025b9d, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0x7d834a52, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0xe65e5939, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0xb6b6f147, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0xe8b8ee36, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0xeb58c7af, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0xb85dd6ba, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0xab83d7c3, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0x7d6f4a28, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0x7ac37533, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0x88b942d8, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0xdf0a12bc, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0x56e5075b, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_init, 0x6458926e, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_write, 0x7f097acd, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_multi_write, 0x1928229b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x754d539c, "strlen" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x8f722f18, "__dynamic_dev_dbg" },
	{ 0x37a0cba, "kfree" },
	{ 0x55127cd2, "regmap_raw_write" },
	{ 0x4e176ef1, "regmap_raw_read" },
	{ 0xbd18f2fb, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5a921311, "strncmp" },
	{ 0x793fb57e, "regmap_read" },
	{ 0xe9df0309, "_dev_info" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x7446d382, "regmap_async_complete" },
	{ 0x999e8297, "vfree" },
	{ 0xe3dfae1, "regmap_raw_write_async" },
	{ 0xfa140a58, "regmap_update_bits_base" },
	{ 0xd632407, "regmap_write" },
	{ 0xad739359, "regmap_multi_reg_write" },
	{ 0x49884e7c, "regmap_bulk_read" },
	{ 0xb6ade77a, "devm_kmalloc" },
	{ 0xc1ea1b3b, "devm_kfree" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4cd0e35, "devm_kasprintf" },
	{ 0x4644e7a7, "debugfs_remove" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9d1796d6, "seq_lseek" },
	{ 0x2491bd1d, "seq_read" },
	{ 0xd17a2b4, "single_release" },
	{ 0xb9af54e8, "simple_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1f394bba, "debugfs_create_dir" },
	{ 0xa7405cb, "debugfs_create_bool" },
	{ 0x9465ce98, "debugfs_create_x32" },
	{ 0xe11ee08f, "debugfs_create_file" },
	{ 0xdf5eb27b, "single_open" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf74029a6, "_dev_err" },
	{ 0x7a628cb7, "seq_printf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A2E7D8747F0E8DA49739460");
