#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wm97xx_reg_read, "_gpl", "");
KSYMTAB_FUNC(wm97xx_reg_write, "_gpl", "");
KSYMTAB_FUNC(wm97xx_read_aux_adc, "_gpl", "");
KSYMTAB_FUNC(wm97xx_get_gpio, "_gpl", "");
KSYMTAB_FUNC(wm97xx_set_gpio, "_gpl", "");
KSYMTAB_FUNC(wm97xx_config_gpio, "_gpl", "");
KSYMTAB_FUNC(wm97xx_set_suspend_mode, "_gpl", "");
KSYMTAB_FUNC(wm97xx_register_mach_ops, "_gpl", "");
KSYMTAB_FUNC(wm97xx_unregister_mach_ops, "_gpl", "");
KSYMTAB_DATA(wm9705_codec, "_gpl", "");
KSYMTAB_DATA(wm9712_codec, "_gpl", "");
KSYMTAB_DATA(wm9713_codec, "_gpl", "");

SYMBOL_CRC(wm97xx_reg_read, 0x434b5604, "_gpl");
SYMBOL_CRC(wm97xx_reg_write, 0x4ac46f87, "_gpl");
SYMBOL_CRC(wm97xx_read_aux_adc, 0xa99396f1, "_gpl");
SYMBOL_CRC(wm97xx_get_gpio, 0xa50d26cf, "_gpl");
SYMBOL_CRC(wm97xx_set_gpio, 0xa75a8ff8, "_gpl");
SYMBOL_CRC(wm97xx_config_gpio, 0x20c7e230, "_gpl");
SYMBOL_CRC(wm97xx_set_suspend_mode, 0xc2b24c4e, "_gpl");
SYMBOL_CRC(wm97xx_register_mach_ops, 0x3169cdf2, "_gpl");
SYMBOL_CRC(wm97xx_unregister_mach_ops, 0x4fa768f1, "_gpl");
SYMBOL_CRC(wm9705_codec, 0x78f5fd98, "_gpl");
SYMBOL_CRC(wm9712_codec, 0x654be0c2, "_gpl");
SYMBOL_CRC(wm9713_codec, 0xa9e1e05c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xbd18f2fb, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2a952524, "input_event" },
	{ 0x2ed4d502, "input_set_abs_params" },
	{ 0xb760d5fb, "__platform_driver_register" },
	{ 0x5d05499c, "input_device_enabled" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x208f080c, "param_ops_int" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xae8aa915, "platform_device_put" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x4b0ebc1c, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb6ade77a, "devm_kmalloc" },
	{ 0x6732a4e9, "platform_driver_unregister" },
	{ 0x86783d38, "devm_input_allocate_device" },
	{ 0xac315494, "param_array_ops" },
	{ 0x8f722f18, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa673a4d7, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe9df0309, "_dev_info" },
	{ 0xe1c830e6, "device_wakeup_disable" },
	{ 0xf74029a6, "_dev_err" },
	{ 0xfedf1eb3, "device_wakeup_enable" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x192a22af, "platform_device_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x38c55f1d, "platform_device_add" },
	{ 0xa0ef0e80, "platform_device_alloc" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E32059AC69758AAB6D7E2EE");
