#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtsx_usb_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_ep0_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_ep0_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_get_rsp, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_get_card_status, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_usb_card_exclusive_check, "_gpl", "");

SYMBOL_CRC(rtsx_usb_transfer_data, 0x589f02b7, "_gpl");
SYMBOL_CRC(rtsx_usb_read_ppbuf, 0x0d75c4a0, "_gpl");
SYMBOL_CRC(rtsx_usb_write_ppbuf, 0x02253c89, "_gpl");
SYMBOL_CRC(rtsx_usb_ep0_write_register, 0x409d7ae7, "_gpl");
SYMBOL_CRC(rtsx_usb_ep0_read_register, 0x28c14add, "_gpl");
SYMBOL_CRC(rtsx_usb_add_cmd, 0x8000fc1d, "_gpl");
SYMBOL_CRC(rtsx_usb_send_cmd, 0xbf60d318, "_gpl");
SYMBOL_CRC(rtsx_usb_get_rsp, 0xa9b621f9, "_gpl");
SYMBOL_CRC(rtsx_usb_get_card_status, 0x4e836dbf, "_gpl");
SYMBOL_CRC(rtsx_usb_write_register, 0x4c2fe685, "_gpl");
SYMBOL_CRC(rtsx_usb_read_register, 0x26d668eb, "_gpl");
SYMBOL_CRC(rtsx_usb_switch_clock, 0x3ad822ba, "_gpl");
SYMBOL_CRC(rtsx_usb_card_exclusive_check, 0x3e0d1c8b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x27607a19, "usb_bulk_msg" },
	{ 0x9c6821fa, "usb_sg_init" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0x7c753f2c, "usb_sg_wait" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8f722f18, "__dynamic_dev_dbg" },
	{ 0x8c58364b, "usb_control_msg" },
	{ 0x2671abca, "usb_register_driver" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x10179ebe, "device_for_each_child" },
	{ 0x85eba607, "__pm_runtime_resume" },
	{ 0xca47527b, "mfd_remove_devices" },
	{ 0x37a0cba, "kfree" },
	{ 0xb6e041b3, "usb_sg_cancel" },
	{ 0x3dc9fe3e, "usb_deregister" },
	{ 0x211ca1d7, "kmalloc_caches" },
	{ 0xec7b78cb, "__kmalloc_cache_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xb6ade77a, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb5d73ced, "mfd_add_devices" },
	{ 0x95675910, "usb_enable_autosuspend" },
	{ 0x208f080c, "param_ops_int" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v0BDAp0129d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp0139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp0140d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F8F3F966F72D56F16FF3485");
