#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(felix_register_switch, "_gpl", "");
KSYMTAB_FUNC(felix_port_to_netdev, "_gpl", "");
KSYMTAB_FUNC(felix_netdev_to_port, "_gpl", "");

SYMBOL_CRC(felix_register_switch, 0xd6de009f, "_gpl");
SYMBOL_CRC(felix_port_to_netdev, 0x2c1cce01, "_gpl");
SYMBOL_CRC(felix_netdev_to_port, 0x4e7ee717, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfc20ae11, "ocelot_sb_port_pool_set" },
	{ 0x56470118, "__warn_printk" },
	{ 0xccfaba12, "ocelot_port_pre_bridge_flags" },
	{ 0x1bd222bb, "ocelot_port_del_dscp_prio" },
	{ 0xeb680975, "ocelot_mrp_del_ring_role" },
	{ 0x58ad10df, "ocelot_sb_tc_pool_bind_set" },
	{ 0x871c8345, "dsa_fdb_present_in_other_db" },
	{ 0xc8196d88, "ocelot_unlock_xtr_grp" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xee62ab6c, "dsa_mdb_present_in_other_db" },
	{ 0xfa86dc4, "ocelot_vcap_filter_add" },
	{ 0x32086dde, "ocelot_sb_port_pool_get" },
	{ 0x4f10a576, "ocelot_port_setup_dsa_8021q_cpu" },
	{ 0xbab7db0f, "ocelot_port_teardown_dsa_8021q_cpu" },
	{ 0x1cf8cfcb, "ocelot_port_inject_frame" },
	{ 0xb86f9819, "dev_err_probe" },
	{ 0xf140c9e, "ocelot_mrp_add" },
	{ 0xefad872, "ocelot_sb_occ_port_pool_get" },
	{ 0xcb759343, "ocelot_sb_pool_set" },
	{ 0x68f676a1, "ocelot_lag_fdb_del" },
	{ 0x43435471, "ocelot_vcap_filter_del" },
	{ 0x6f15e8e3, "ocelot_cls_flower_stats" },
	{ 0xd39471fb, "ocelot_lock_inj_grp" },
	{ 0xca011fe8, "ocelot_lock_xtr_grp_bh" },
	{ 0x7777d9c8, "ocelot_sb_pool_get" },
	{ 0xf233da81, "ocelot_lock_xtr_grp" },
	{ 0x6d4e5f0, "ocelot_phylink_mac_link_up" },
	{ 0xf5673b10, "ocelot_deinit_port" },
	{ 0x70003732, "ocelot_can_inject" },
	{ 0x211ca1d7, "kmalloc_caches" },
	{ 0x19520bdb, "ocelot_port_mirror_add" },
	{ 0x46b02b26, "ocelot_fdb_dump" },
	{ 0xc3e29e03, "ocelot_vlan_prepare" },
	{ 0xf881aec2, "dsa_tag_8021q_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x427744e6, "ocelot_set_ageing_time" },
	{ 0x6bfeba3, "__ocelot_rmw_ix" },
	{ 0xb6ade77a, "devm_kmalloc" },
	{ 0x45138de2, "ocelot_hwstamp_set" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb185acf6, "ocelot_port_policer_del" },
	{ 0x10672c96, "ocelot_port_lag_change" },
	{ 0x9f1bfc9b, "consume_skb" },
	{ 0x602e887, "ocelot_port_policer_add" },
	{ 0x186f6108, "ocelot_port_mdb_add" },
	{ 0x149277d6, "ocelot_vlan_add" },
	{ 0xde87e6f2, "ocelot_sb_tc_pool_bind_get" },
	{ 0x429d7804, "ocelot_port_bridge_flags" },
	{ 0xec6fd34c, "ocelot_devlink_sb_unregister" },
	{ 0x789309f8, "ocelot_port_bridge_leave" },
	{ 0xe5583ec5, "ocelot_port_set_maxlen" },
	{ 0x774463de, "ocelot_vcap_filter_replace" },
	{ 0xab33f97, "ocelot_get_max_mtu" },
	{ 0x39913920, "regmap_fields_update_bits_base" },
	{ 0xa5c33742, "ocelot_sb_occ_snapshot" },
	{ 0xc15e0fce, "ocelot_get_ts_info" },
	{ 0x5fab763, "ocelot_sb_occ_max_clear" },
	{ 0x985536a5, "ocelot_port_get_mm" },
	{ 0x257b82c3, "ocelot_ptp_gettime64" },
	{ 0xe9bec6f2, "ocelot_unlock_inj_grp" },
	{ 0xe2465506, "ocelot_get_strings" },
	{ 0x1d1ce99b, "dsa_register_switch" },
	{ 0x37a0cba, "kfree" },
	{ 0x34fb9ce9, "ocelot_sb_occ_tc_port_bind_get" },
	{ 0xb5efd5f4, "ocelot_unlock_xtr_grp_bh" },
	{ 0x237ae6bf, "ocelot_port_add_dscp_prio" },
	{ 0x43c3dd93, "ocelot_drain_cpu_queue" },
	{ 0xe3e1c8, "ocelot_port_mirror_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe1c1be67, "ocelot_vcap_block_find_filter_by_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbeefe2cd, "__ocelot_read_ix" },
	{ 0x1e4b6d24, "ocelot_port_get_pause_stats" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc18a2bc1, "dsa_port_from_netdev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8167b02b, "ocelot_get_sset_count" },
	{ 0xf85f34b4, "ocelot_migrate_mdbs" },
	{ 0x4cce1566, "ocelot_hwstamp_get" },
	{ 0x40ad5bd1, "ocelot_port_txtstamp_request" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x680c91c7, "ocelot_port_bridge_join" },
	{ 0x34fc73b5, "ocelot_fdb_add" },
	{ 0x8319d970, "ocelot_port_unassign_dsa_8021q_cpu" },
	{ 0x1170a392, "ocelot_xtr_poll_frame" },
	{ 0x10dc2e3e, "ocelot_port_get_default_prio" },
	{ 0x8d89764, "ptp_classify_raw" },
	{ 0x6cc03658, "ocelot_port_set_default_prio" },
	{ 0x48672a51, "dsa_tag_8021q_register" },
	{ 0xb5022e8b, "ocelot_port_get_mm_stats" },
	{ 0xd11acacc, "ocelot_deinit" },
	{ 0xf74029a6, "_dev_err" },
	{ 0xdd399bbb, "ocelot_vlan_del" },
	{ 0x12180edc, "sk_skb_reason_drop" },
	{ 0x10e380a1, "ocelot_bond_get_id" },
	{ 0xa5efa70b, "ocelot_get_ethtool_stats" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc9b21332, "ocelot_cls_flower_destroy" },
	{ 0xc7023a4, "ocelot_port_vlan_filtering" },
	{ 0x14dbf976, "ocelot_port_get_rmon_stats" },
	{ 0xaa10ede2, "ocelot_port_assign_dsa_8021q_cpu" },
	{ 0x60bbc70, "ocelot_lag_fdb_add" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x182c4f42, "ocelot_bridge_stp_state_set" },
	{ 0x5350967d, "__ocelot_write_ix" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xabca717d, "netif_rx" },
	{ 0x18b5d380, "ocelot_port_get_eth_ctrl_stats" },
	{ 0xe1485075, "ocelot_fdb_del" },
	{ 0xa9d538f0, "ocelot_phylink_mac_link_down" },
	{ 0x6a36c30b, "ocelot_port_lag_join" },
	{ 0x685c90f0, "ocelot_port_get_eth_phy_stats" },
	{ 0xa1653c63, "ocelot_port_lag_leave" },
	{ 0x9c323635, "ocelot_mrp_add_ring_role" },
	{ 0xef6dcc94, "ocelot_port_set_mm" },
	{ 0xd7a90bb6, "ocelot_deinit_timestamp" },
	{ 0x793cc0c, "ocelot_cls_flower_replace" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x69b273e2, "ocelot_port_get_stats64" },
	{ 0x7e4baf9c, "ocelot_port_get_dscp_prio" },
	{ 0x70eb2570, "ocelot_port_mdb_del" },
	{ 0x3e1260d, "ocelot_port_get_eth_mac_stats" },
	{ 0x47a71ef, "ocelot_mact_flush" },
	{ 0xec7b78cb, "__kmalloc_cache_noprof" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "mscc_ocelot_switch_lib,dsa_core");


MODULE_INFO(srcversion, "53A8B6232DCCCDFFB66631E");
