#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb25affb7, "pci_irq_vector" },
	{ 0xe1b12b6c, "xdp_rxq_info_unreg_mem_model" },
	{ 0x69369145, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x8f722f18, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1287c1ed, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x2d74e512, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xe4b90142, "dev_driver_string" },
	{ 0xe3c8efed, "dev_addr_mod" },
	{ 0x4da0ee8, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x2ed6f30c, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9ac63814, "dma_map_page_attrs" },
	{ 0x938071d5, "napi_complete_done" },
	{ 0x1699c4ee, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7f52071a, "net_dim" },
	{ 0x903ef991, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2584946, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x972a132e, "const_pcpu_hot" },
	{ 0xc61fbc44, "__free_pages" },
	{ 0xe9df0309, "_dev_info" },
	{ 0x1c71c51f, "napi_gro_receive" },
	{ 0x8a9a1bc6, "xdp_features_clear_redirect_target" },
	{ 0x7ba910bf, "pci_select_bars" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xc1799963, "__dma_sync_single_for_cpu" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xc1ea1b3b, "devm_kfree" },
	{ 0xf74029a6, "_dev_err" },
	{ 0x5516dbc8, "softnet_data" },
	{ 0x837fa768, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8bcd9926, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xad99413e, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xea357f2e, "netdev_printk" },
	{ 0xce4965fa, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe6eaeee0, "dma_alloc_attrs" },
	{ 0xacb39ac2, "napi_enable" },
	{ 0x73e9c04e, "register_netdev" },
	{ 0xcf5d6f52, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6d36c8af, "ethtool_op_get_link" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe51b05f, "__SCK__tp_func_xdp_exception" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdd2c0ba1, "netif_tx_wake_queue" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0xbd18f2fb, "_dev_warn" },
	{ 0x7353443f, "netif_schedule_queue" },
	{ 0x9f133471, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x1567c152, "__pskb_pull_tail" },
	{ 0x58f43e1e, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xee8b2414, "dma_set_coherent_mask" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0xe0da6412, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3bb68ba, "__dma_sync_single_for_device" },
	{ 0x8d38761c, "xdp_rxq_info_unreg" },
	{ 0xf90cd8fd, "napi_build_skb" },
	{ 0x1a6b73ca, "__xdp_rxq_info_reg" },
	{ 0x4c0f94ad, "xdp_set_features_flag" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xca05a5aa, "netif_carrier_off" },
	{ 0x95b2ed40, "netif_carrier_on" },
	{ 0x373b0d5, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x2b39d523, "pci_disable_device" },
	{ 0x9a7df540, "dma_set_mask" },
	{ 0x47d1c836, "devm_ioremap_wc" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x53fc5952, "skb_add_rx_frag_netmem" },
	{ 0xaa4442a1, "xdp_master_redirect" },
	{ 0xd14ad0a4, "__napi_schedule_irqoff" },
	{ 0xe3329284, "napi_schedule_prep" },
	{ 0xa9b282f3, "pci_sriov_configure_simple" },
	{ 0xe721e5d, "napi_disable" },
	{ 0x6ff2eb4, "dev_kfree_skb_any_reason" },
	{ 0x32cc261d, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c747f20, "pci_free_irq_vectors" },
	{ 0x4201392c, "ethtool_op_get_ts_info" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xed0af5fb, "netdev_info" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xfb597537, "__tracepoint_xdp_exception" },
	{ 0xa4ab71f9, "napi_alloc_skb" },
	{ 0x367f2c85, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x279d0ad7, "vzalloc_node_noprof" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9dccd317, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb8d45878, "skb_copy_bits" },
	{ 0x58e298a4, "pci_msix_vec_count" },
	{ 0xaa5ee3bb, "pci_request_selected_regions" },
	{ 0x11584dd2, "pci_release_selected_regions" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb6ade77a, "devm_kmalloc" },
	{ 0x1ef9bc61, "skb_put" },
	{ 0x51a7843d, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6b63e8d3, "pci_enable_device_mem" },
	{ 0x9f1bfc9b, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xaa21ffd7, "pci_alloc_irq_vectors" },
	{ 0xd7b0dc, "netif_napi_add_weight" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x73c2554f, "__iowrite64_copy" },
	{ 0x2e30851a, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x804c13f2, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xeac67e28, "xdp_convert_zc_to_xdp_frame" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xaa74652e, "xdp_features_set_redirect_target" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96a50859, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x245197eb, "__pci_register_driver" },
	{ 0x8906112b, "devm_ioremap" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9c12d95e, "pcpu_hot" },
	{ 0x653c25d9, "xdp_do_redirect" },
	{ 0xfa6daffb, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9175ecad, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001D0Fd00000051sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001D0Fd00000EC2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001D0Fd00001EC2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001D0Fd0000EC20sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001D0Fd0000EC21sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "D20D40D7BD6994D19E70292");
