#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb8f88aac, "phy_attached_info" },
	{ 0x295559f0, "gpiochip_enable_irq" },
	{ 0x37a0cba, "kfree" },
	{ 0x578a5224, "devm_gpiochip_add_data_with_key" },
	{ 0xfb3cc17e, "wx_get_coalesce" },
	{ 0x9c12d95e, "pcpu_hot" },
	{ 0xa8955132, "wx_mac_set_default_filter" },
	{ 0xfa6daffb, "eth_validate_addr" },
	{ 0x1512c784, "gpiochip_disable_irq" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x79ca06c3, "pci_set_power_state" },
	{ 0xb0e22739, "wx_xmit_frame" },
	{ 0x3b222b59, "wx_get_sset_count" },
	{ 0xed4f5a2c, "wx_misc_isb" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x8f722f18, "__dynamic_dev_dbg" },
	{ 0xd5c60fb8, "gpiochip_irq_relres" },
	{ 0x79f2d4c2, "wx_configure_vectors" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1287c1ed, "pci_unregister_driver" },
	{ 0xc89c671f, "wx_flush_sw_mac_table" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x64896df6, "phylink_create" },
	{ 0x2b1a4f47, "wx_check_flash_load" },
	{ 0x4d7d3b99, "wx_get_pcie_msix_counts" },
	{ 0x3de6c9c5, "wx_vlan_rx_add_vid" },
	{ 0xe3c8efed, "dev_addr_mod" },
	{ 0x428deae9, "wx_stop_adapter" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x71ae6d73, "handle_bad_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c97775c, "wx_get_pauseparam" },
	{ 0xdd549f8, "wx_nway_reset" },
	{ 0x1e8f2aea, "wx_update_stats" },
	{ 0xb2584946, "netif_device_detach" },
	{ 0xb8593114, "wx_clear_hw_cntrs" },
	{ 0x5787fe7e, "xpcs_create_mdiodev" },
	{ 0x7ba910bf, "pci_select_bars" },
	{ 0x570a83aa, "wx_sw_init" },
	{ 0x6281919, "devm_alloc_etherdev_mqs" },
	{ 0x92d1464, "wx_disable_rx_queue" },
	{ 0x3a71b030, "gpiochip_get_data" },
	{ 0x275883f3, "wx_disable_sec_rx_path" },
	{ 0x54ba3fa6, "wx_vlan_rx_kill_vid" },
	{ 0xf74029a6, "_dev_err" },
	{ 0x49c177df, "wx_get_ringparam" },
	{ 0x692b0b2f, "xpcs_destroy" },
	{ 0x8458e188, "wx_free_resources" },
	{ 0x420ffdb, "wx_fix_features" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x556fa9db, "wx_clean_all_tx_rings" },
	{ 0x8bcd9926, "netif_set_real_num_tx_queues" },
	{ 0x192a22af, "platform_device_unregister" },
	{ 0x61bc81bc, "irq_get_irq_data" },
	{ 0x76b40924, "clk_register_fixed_rate" },
	{ 0xad99413e, "netif_set_real_num_rx_queues" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x8fc12788, "software_node_unregister_node_group" },
	{ 0x73e9c04e, "register_netdev" },
	{ 0x9340393b, "wx_irq_disable" },
	{ 0x7d915502, "wx_phy_read_reg_mdi_c45" },
	{ 0x7df84be6, "gpiochip_irq_reqres" },
	{ 0x94623a79, "wx_set_coalesce" },
	{ 0x9ccfa3b1, "wx_napi_enable_all" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6d36c8af, "ethtool_op_get_link" },
	{ 0x4b780dcd, "wx_napi_disable_all" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6021689a, "netif_tx_stop_all_queues" },
	{ 0xa4a4eef, "phy_find_first" },
	{ 0xafb3c377, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0xb36ced87, "wx_read_ee_hostif" },
	{ 0x27cb30fa, "wx_decode_ptype" },
	{ 0xbd18f2fb, "_dev_warn" },
	{ 0x5d80e4c1, "wx_get_drvinfo" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x9f133471, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1db611f3, "wx_init_eeprom_params" },
	{ 0x9aedf3ed, "wx_start_hw" },
	{ 0xc66aed81, "wx_setup_resources" },
	{ 0x5504c6ae, "wx_reset_interrupt_capability" },
	{ 0x3c941754, "devm_mdiobus_alloc_size" },
	{ 0xae821791, "wx_get_ethtool_stats" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x43757d41, "wx_init_rx_addrs" },
	{ 0xee8b2414, "dma_set_coherent_mask" },
	{ 0xdb4bc512, "phylink_pcs_change" },
	{ 0x4cd0e35, "devm_kasprintf" },
	{ 0x47b0e66c, "handle_edge_irq" },
	{ 0x8701d1ec, "wx_get_channels" },
	{ 0x8e802de2, "platform_device_register_full" },
	{ 0x2927d8b3, "netdev_reset_tc" },
	{ 0xa09d86b8, "wx_configure" },
	{ 0xfb2e404d, "wx_intr_enable" },
	{ 0x836c7dc4, "wx_change_mtu" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc0c873d6, "wx_get_link_ksettings" },
	{ 0xb39369f5, "pcie_print_link_status" },
	{ 0xec7b78cb, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x85cb494c, "irq_create_mapping_affinity" },
	{ 0x3eea523, "irq_domain_create_simple" },
	{ 0xb8af2d2f, "netdev_set_num_tc" },
	{ 0xccc52f4d, "wx_get_mac_addr" },
	{ 0x73a16b29, "wx_get_pause_stats" },
	{ 0xd53752a5, "wx_get_stats64" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x2b39d523, "pci_disable_device" },
	{ 0x79233182, "wx_get_msglevel" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0xe4f99800, "__devm_mdiobus_register" },
	{ 0x9a7df540, "dma_set_mask" },
	{ 0xc6cc2140, "wx_set_channels" },
	{ 0xf3786cea, "wx_set_mac" },
	{ 0x1f748357, "wx_phy_write_reg_mdi_c45" },
	{ 0x33874144, "irq_set_chip" },
	{ 0x40fd0792, "wx_set_rx_mode" },
	{ 0xd14ad0a4, "__napi_schedule_irqoff" },
	{ 0xe3329284, "napi_schedule_prep" },
	{ 0x10e7f9cd, "wx_mng_present" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xfa245e1a, "wx_get_strings" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xe04ce325, "wx_disable_pcie_master" },
	{ 0x4bf548b4, "wx_fc_enable" },
	{ 0x7a9e4c23, "software_node_register_node_group" },
	{ 0x97996663, "wx_clear_interrupt_scheme" },
	{ 0x2b049f7d, "wx_disable_rx" },
	{ 0x4b3398bd, "wx_msix_clean_rings" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x211ca1d7, "kmalloc_caches" },
	{ 0xb144e814, "phylink_connect_phy" },
	{ 0x5f0fac53, "__devm_regmap_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x638dfbc4, "wx_clean_all_rx_rings" },
	{ 0x9c0a6d46, "wx_set_msglevel" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9767d3ec, "wx_control_hw" },
	{ 0xa891c879, "software_node_fwnode" },
	{ 0x847ffefd, "wx_reset_misc" },
	{ 0xcbad25a0, "handle_level_irq" },
	{ 0xaa5ee3bb, "pci_request_selected_regions" },
	{ 0x11584dd2, "pci_release_selected_regions" },
	{ 0xb6ade77a, "devm_kmalloc" },
	{ 0xab4d3387, "pci_wake_from_d3" },
	{ 0xcd1c9a11, "wx_free_irq" },
	{ 0x7a6aa5eb, "wx_enable_sec_rx_path" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x740adafa, "wx_free_isb_resources" },
	{ 0x6b63e8d3, "pci_enable_device_mem" },
	{ 0xf1617a34, "wx_set_pauseparam" },
	{ 0x128212ae, "wx_set_features" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf53f9240, "clkdev_create" },
	{ 0x257b866a, "clkdev_drop" },
	{ 0x804c13f2, "unregister_netdev" },
	{ 0x7757b51a, "clk_unregister" },
	{ 0x62b1cee3, "irq_domain_remove" },
	{ 0xfc3fc71, "wx_set_link_ksettings" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x1ec06705, "wx_set_ring" },
	{ 0xf7370f56, "system_state" },
	{ 0x245197eb, "__pci_register_driver" },
	{ 0x76f558f6, "wx_init_interrupt_scheme" },
	{ 0xcae28070, "wx_get_mac_stats" },
	{ 0x8906112b, "devm_ioremap" },
	{ 0xfa012588, "wx_read_ee_hostif_buffer" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "libphy,libwx,phylink,pcs_xpcs,mdio_devres");

MODULE_ALIAS("pci:v00008088d00001001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00002001sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0568A3C5508FA66C6D33C81");
