#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0x84191510, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0xdffd5942, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0xf5e71059, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xec7b78cb, "__kmalloc_cache_noprof" },
	{ 0x124fe90a, "netdev_rx_handler_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x81895752, "skb_ensure_writable_head_tail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfa593f2c, "gro_cells_init" },
	{ 0xe3c8efed, "dev_addr_mod" },
	{ 0x56470118, "__warn_printk" },
	{ 0x190c5ba1, "skb_copy" },
	{ 0x3c095c4, "skb_copy_expand" },
	{ 0x9f1bfc9b, "consume_skb" },
	{ 0x1d63e99e, "skb_push" },
	{ 0x1ef9bc61, "skb_put" },
	{ 0x6995f203, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x9d2bc6d8, "skb_to_sgvec" },
	{ 0x4a102417, "crypto_aead_encrypt" },
	{ 0xf6e65d9c, "dst_release" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1be11e71, "skb_clone" },
	{ 0x8d2ba932, "__netif_rx" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1beba4af, "crypto_aead_decrypt" },
	{ 0x1567c152, "__pskb_pull_tail" },
	{ 0x3dec84fb, "netdev_rx_handler_unregister" },
	{ 0xcfea816d, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xca05a5aa, "netif_carrier_off" },
	{ 0xa5f2ca56, "dev_mc_unsync" },
	{ 0xc1de78e2, "dev_uc_unsync" },
	{ 0x373f8e1, "dev_uc_del" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x740083ba, "dev_uc_add" },
	{ 0x95b2ed40, "netif_carrier_on" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x55acc3ed, "genlmsg_put" },
	{ 0x72037fe8, "skb_trim" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe22edb0c, "rtnl_link_register" },
	{ 0xa0d41ba8, "genl_register_family" },
	{ 0x968a40ae, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x82d3a8da, "crypto_destroy_tfm" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc52b7735, "crypto_alloc_aead" },
	{ 0xc31970a2, "crypto_aead_setkey" },
	{ 0xec78de99, "crypto_aead_setauthsize" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xb0e602eb, "memmove" },
	{ 0xb5de9897, "skb_pull" },
	{ 0x40d83a13, "___pskb_trim" },
	{ 0xd4c6fed5, "ether_setup" },
	{ 0x2a78c515, "metadata_dst_free" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0x18dfd53f, "dev_mc_sync" },
	{ 0xb064b3d1, "dev_uc_sync" },
	{ 0xbb7b2c2, "dev_set_allmulti" },
	{ 0xca27274c, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xd48e8f9c, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9c12d95e, "pcpu_hot" },
	{ 0x9bfca20f, "__dev_queue_xmit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2ed6f30c, "eth_type_trans" },
	{ 0xc653e702, "gro_cells_receive" },
	{ 0x12180edc, "sk_skb_reason_drop" },
	{ 0xbe440074, "__dev_get_by_index" },
	{ 0xd1e0989c, "register_netdevice" },
	{ 0x66f5303b, "netdev_upper_dev_link" },
	{ 0xa824e4e6, "netdev_upper_dev_unlink" },
	{ 0xad308444, "unregister_netdevice_queue" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x39cc115e, "metadata_dst_alloc" },
	{ 0xba6d0753, "netif_stacked_transfer_operstate" },
	{ 0xfb10581e, "linkwatch_fire_event" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x211ca1d7, "kmalloc_caches" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "188AE892F4F275ADE8A5D4B");
