#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xbad7ec71, "usbnet_status_stop" },
	{ 0x37a0cba, "kfree" },
	{ 0x1d63e99e, "skb_push" },
	{ 0x6ff2eb4, "dev_kfree_skb_any_reason" },
	{ 0x211ca1d7, "kmalloc_caches" },
	{ 0xec7b78cb, "__kmalloc_cache_noprof" },
	{ 0x8c58364b, "usb_control_msg" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb1dba1ab, "usbnet_link_change" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb5de9897, "skb_pull" },
	{ 0x1be11e71, "skb_clone" },
	{ 0x72037fe8, "skb_trim" },
	{ 0x51bf8b4d, "usbnet_skb_return" },
	{ 0xd4197e44, "usbnet_get_endpoints" },
	{ 0xe3c8efed, "dev_addr_mod" },
	{ 0xca05a5aa, "netif_carrier_off" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xaeb5484c, "usbnet_read_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf74029a6, "_dev_err" },
	{ 0xb07a3305, "usbnet_disconnect" },
	{ 0x368adab9, "usbnet_suspend" },
	{ 0x962c6f65, "usbnet_resume" },
	{ 0xe69c9762, "usbnet_get_msglevel" },
	{ 0xc1cae85d, "usbnet_set_msglevel" },
	{ 0xf912e726, "usbnet_nway_reset" },
	{ 0x9a5dfd, "usbnet_get_link_ksettings_mii" },
	{ 0x1f1c6101, "usbnet_set_link_ksettings_mii" },
	{ 0xf011d6e4, "usbnet_open" },
	{ 0xb92e88ee, "usbnet_stop" },
	{ 0xc0cf6b6a, "usbnet_start_xmit" },
	{ 0x88d5ac5e, "eth_mac_addr" },
	{ 0xfa6daffb, "eth_validate_addr" },
	{ 0x1dac4f48, "usbnet_change_mtu" },
	{ 0x4c1529f, "usbnet_tx_timeout" },
	{ 0xea10d251, "dev_get_tstats64" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8fef8135, "usbnet_get_drvinfo" },
	{ 0x2671abca, "usb_register_driver" },
	{ 0x3dc9fe3e, "usb_deregister" },
	{ 0xa5d15901, "usbnet_write_cmd" },
	{ 0x2d74e512, "netdev_err" },
	{ 0x8f722f18, "__dynamic_dev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0x833d65d1, "usbnet_probe" },
	{ 0xcaf8050a, "usbnet_status_start" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "usbnet,usbcore");

MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in0B*");

MODULE_INFO(srcversion, "567F64F6E12749D49C4C3A5");
