#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0xd4197e44, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x888cc8d2, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0xcaf8050a, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0xbad7ec71, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x51bf8b4d, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0xe3782978, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x1dac4f48, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x52c20711, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x95744184, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x0bced89d, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x8550b6a8, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x63e6d0ec, "_gpl");
SYMBOL_CRC(usbnet_stop, 0xb92e88ee, "_gpl");
SYMBOL_CRC(usbnet_open, 0xf011d6e4, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x009a5dfd, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0xb27b550e, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x1f1c6101, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x966f7c5a, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0xf912e726, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x8fef8135, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0xe69c9762, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0xc1cae85d, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0xa2c437ae, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x04c1529f, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0xc0cf6b6a, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0xb07a3305, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x833d65d1, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x368adab9, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x962c6f65, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0xfd655cfa, "");
SYMBOL_CRC(usbnet_manage_power, 0xa2de4915, "");
SYMBOL_CRC(usbnet_link_change, 0xb1dba1ab, "");
SYMBOL_CRC(usbnet_read_cmd, 0xaeb5484c, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0xa5d15901, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0xbe41bed9, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0xb8a00d76, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x201ce05c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4dd3bfca, "usb_set_interface" },
	{ 0x8afb8ff8, "usb_string" },
	{ 0x8f722f18, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xe3c8efed, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xabca717d, "netif_rx" },
	{ 0x2ed6f30c, "eth_type_trans" },
	{ 0x951657d5, "skb_queue_tail" },
	{ 0x58f43e1e, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x17ef7539, "skb_queue_purge_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x81d9771e, "usb_get_urb" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x635b4f3d, "usb_unlink_urb" },
	{ 0x4e56c2da, "usb_free_urb" },
	{ 0x972a132e, "const_pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x68f1a786, "usb_submit_urb" },
	{ 0x2d74e512, "netdev_err" },
	{ 0x96b414e8, "mii_ethtool_get_link_ksettings" },
	{ 0xf02e467e, "mii_ethtool_set_link_ksettings" },
	{ 0x5138222f, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0x804c13f2, "unregister_netdev" },
	{ 0x9f1bfc9b, "consume_skb" },
	{ 0x87718a65, "usb_get_from_anchor" },
	{ 0x9a3f31aa, "usb_kill_urb" },
	{ 0xcf5d6f52, "free_netdev" },
	{ 0xed0af5fb, "netdev_info" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb2584946, "netif_device_detach" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa5edb967, "netif_device_attach" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x8c58364b, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc3d2a285, "usb_autopm_get_interface" },
	{ 0xccf10741, "usb_autopm_put_interface" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x75cfb8fb, "usb_alloc_urb" },
	{ 0x211ca1d7, "kmalloc_caches" },
	{ 0xec7b78cb, "__kmalloc_cache_noprof" },
	{ 0x5516a0c6, "mii_link_ok" },
	{ 0x6d36c8af, "ethtool_op_get_link" },
	{ 0x99f0acf3, "usb_autopm_put_interface_async" },
	{ 0x95b2ed40, "netif_carrier_on" },
	{ 0xca05a5aa, "netif_carrier_off" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x5ff085fa, "skb_dequeue" },
	{ 0x367f2c85, "alloc_etherdev_mqs" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x73e9c04e, "register_netdev" },
	{ 0xf31d7aad, "pm_runtime_enable" },
	{ 0x487f3435, "usb_check_bulk_endpoints" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1295a75a, "usb_autopm_get_interface_async" },
	{ 0x51a7843d, "skb_tstamp_tx" },
	{ 0x6ff2eb4, "dev_kfree_skb_any_reason" },
	{ 0xf8216b21, "usb_anchor_urb" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xaa918828, "__netdev_alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdd2c0ba1, "netif_tx_wake_queue" },
	{ 0xbe01d93f, "usb_autopm_get_interface_no_resume" },
	{ 0x1ef9bc61, "skb_put" },
	{ 0x965d927f, "usb_clear_halt" },
	{ 0x88d5ac5e, "eth_mac_addr" },
	{ 0xfa6daffb, "eth_validate_addr" },
	{ 0x4201392c, "ethtool_op_get_ts_info" },
	{ 0x208f080c, "param_ops_int" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mii");


MODULE_INFO(srcversion, "DFB1B1170CF0A5915C4CD78");
