#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xddfc43c4, "mt76_release_buffered_frames" },
	{ 0x707fbf4a, "request_firmware" },
	{ 0x499231b7, "mt76_get_txpower" },
	{ 0x245197eb, "__pci_register_driver" },
	{ 0x8929645e, "mt76x02_dma_disable" },
	{ 0xa9b87040, "mt76_wake_tx_queue" },
	{ 0x6c2410ad, "mt76x02e_init_beacon_config" },
	{ 0x55ba9c90, "mt76_get_antenna" },
	{ 0x9c12d95e, "pcpu_hot" },
	{ 0x671e8ea6, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x79ca06c3, "pci_set_power_state" },
	{ 0x21f18cb5, "mt76x02_sta_ps" },
	{ 0x5a284b37, "mt76x02_sta_rate_tbl_update" },
	{ 0x821637a8, "kthread_park" },
	{ 0x8f722f18, "__dynamic_dev_dbg" },
	{ 0x9bc535bf, "mt76_dma_cleanup" },
	{ 0x1287c1ed, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b0d22e4, "mt76x02_reconfig_complete" },
	{ 0xc9920467, "mt76_alloc_device" },
	{ 0xf98ca813, "wake_up_process" },
	{ 0x460656db, "mt76x02_set_coverage_class" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6ed09e5f, "mt76x02_update_channel" },
	{ 0x903ef991, "__napi_schedule" },
	{ 0xd3db33e9, "mt76_pci_disable_aspm" },
	{ 0xe9df0309, "_dev_info" },
	{ 0xac02f231, "mt76x02_configure_filter" },
	{ 0x4385679, "mt76_free_device" },
	{ 0xb66e0522, "mt76x0_chip_onoff" },
	{ 0x9a192a85, "mt76x02_queue_rx_skb" },
	{ 0xc0965857, "kthread_unpark" },
	{ 0xce051b0c, "pcim_iomap_regions" },
	{ 0x52880d04, "ieee80211_queue_delayed_work" },
	{ 0x83d5b9aa, "mt76x0_config" },
	{ 0x36df8ec9, "mt76x0_register_device" },
	{ 0xf74029a6, "_dev_err" },
	{ 0x460e7d81, "mt76x02_rx_poll_complete" },
	{ 0xffbe94bc, "mt76x0_phy_calibrate" },
	{ 0x1e9dec21, "mt76_set_tim" },
	{ 0x8c5370d4, "mt76x02_sw_scan_complete" },
	{ 0x91d5b9ee, "mt76x02_irq_handler" },
	{ 0xacb39ac2, "napi_enable" },
	{ 0x27aea422, "mt76x02_tx" },
	{ 0x5e9c3673, "mt76_mmio_init" },
	{ 0xdff03e67, "mt76x02_sta_remove" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x577f1a29, "mt76x02_sta_add" },
	{ 0x6bcb7cb0, "mt76_unregister_device" },
	{ 0xcfab82ee, "pci_restore_state" },
	{ 0xd0ad3097, "mt76x0_mac_stop" },
	{ 0x3bb07bac, "mt76_get_survey" },
	{ 0xbd18f2fb, "_dev_warn" },
	{ 0x937821e5, "ieee80211_emulate_add_chanctx" },
	{ 0x9f133471, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6cdd8aba, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x62de6b2c, "mt76x02_set_rts_threshold" },
	{ 0x8313bdb4, "mt76x02_tx_complete_skb" },
	{ 0x79336d82, "mt76_sta_state" },
	{ 0x342ecc93, "mt76x02_mcu_msg_send" },
	{ 0x176e7e8c, "mt76x0_init_hardware" },
	{ 0x166fc9e6, "mt76x02_bss_info_changed" },
	{ 0xe5af72f3, "pci_enable_wake" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x9e1ec252, "mt76x02_add_interface" },
	{ 0x768cc681, "____mt76_poll_msec" },
	{ 0x72ba703d, "mt76x02_tx_prepare_skb" },
	{ 0xda48f1a9, "mt76x02_mcu_cleanup" },
	{ 0xa42aed09, "mt76x02_ampdu_action" },
	{ 0xc69bac44, "mt76x02_conf_tx" },
	{ 0x9a7df540, "dma_set_mask" },
	{ 0x6eda6b71, "mt76_sw_scan" },
	{ 0xf9a82926, "mt76_sta_pre_rcu_remove" },
	{ 0x13ce68eb, "pcim_iomap_table" },
	{ 0xe3329284, "napi_schedule_prep" },
	{ 0xe721e5d, "napi_disable" },
	{ 0xac5497a4, "__mt76_poll" },
	{ 0x2b3fdd70, "pcim_enable_device" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xf7bd03e9, "ieee80211_emulate_remove_chanctx" },
	{ 0x670de0a8, "mt76x02_mac_start" },
	{ 0x14ab0e60, "mt76x02_remove_interface" },
	{ 0xbd6cf3b, "mt76x02_dma_init" },
	{ 0x81cc9475, "pci_save_state" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xaa3df302, "devm_request_threaded_irq" },
	{ 0x282e04b5, "mt76x0_set_sar_specs" },
	{ 0xf953e09e, "pci_choose_state" },
	{ 0x6df8c09, "mt76x02_set_ethtool_fwver" },
	{ 0x115f4c51, "mt76x02_set_key" },
	{ 0xdcc36a9b, "mt76x02_mcu_parse_response" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,mac80211,mt76x0-common");

MODULE_ALIAS("pci:v000014C3d00007610sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007630sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007650sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "078B3D2A79D5D2249CB9E7B");
