#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x2_read_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_power_info, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_temp_comp, "_gpl", "");
KSYMTAB_FUNC(mt76x2_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x2_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_reset_wlan, "_gpl", "");
KSYMTAB_FUNC(mt76_write_mac_initvals, "_gpl", "");
KSYMTAB_FUNC(mt76x2_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_apply_gain_adj, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower_regs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_configure_tx_delay, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_tssi_compensate, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_update_channel_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_load_cr, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_init_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_tssi_comp, "_gpl", "");

SYMBOL_CRC(mt76x2_read_rx_gain, 0x9cab98b7, "_gpl");
SYMBOL_CRC(mt76x2_get_rate_power, 0x57995790, "_gpl");
SYMBOL_CRC(mt76x2_get_power_info, 0x061999ff, "_gpl");
SYMBOL_CRC(mt76x2_get_temp_comp, 0x9f702a78, "_gpl");
SYMBOL_CRC(mt76x2_eeprom_init, 0x1e395d16, "_gpl");
SYMBOL_CRC(mt76x2_mac_stop, 0xe7bcc2b1, "_gpl");
SYMBOL_CRC(mt76x2_set_sar_specs, 0x64804ebe, "_gpl");
SYMBOL_CRC(mt76x2_reset_wlan, 0xfffbcf97, "_gpl");
SYMBOL_CRC(mt76_write_mac_initvals, 0xb754f67e, "_gpl");
SYMBOL_CRC(mt76x2_init_txpower, 0x0e6dc9f2, "_gpl");
SYMBOL_CRC(mt76x2_apply_gain_adj, 0xad2d029d, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower_regs, 0x89ea8db8, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower, 0x40669018, "_gpl");
SYMBOL_CRC(mt76x2_configure_tx_delay, 0x79dac83f, "_gpl");
SYMBOL_CRC(mt76x2_phy_tssi_compensate, 0x72ff6222, "_gpl");
SYMBOL_CRC(mt76x2_phy_update_channel_gain, 0x004cfbb1, "_gpl");
SYMBOL_CRC(mt76x2_mcu_set_channel, 0x40097f9c, "_gpl");
SYMBOL_CRC(mt76x2_mcu_load_cr, 0x1fae8f6d, "_gpl");
SYMBOL_CRC(mt76x2_mcu_init_gain, 0xcfa23c81, "_gpl");
SYMBOL_CRC(mt76x2_mcu_tssi_comp, 0x9d3e0cbd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88cfa016, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x51ac4c47, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb4f78d3e, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x5714a0f8, "mt76_eeprom_init" },
	{ 0xf74029a6, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa836160e, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xa4e3bd47, "mt76_mcu_send_and_get_msg" },
	{ 0x52663551, "mt76_eeprom_override" },
	{ 0x15eaf437, "mt76x02_get_lna_gain" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x14f4daf4, "mt76_get_sar_power" },
	{ 0x270a2a70, "mt76x02_eeprom_copy" },
	{ 0x793d83f7, "mt76x02_mcu_calibrate" },
	{ 0x5ed80180, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0xc3c0b28b, "mt76_get_min_avg_rssi" },
	{ 0x6da3f90a, "mt76_init_sar_power" },
	{ 0x1e042f6d, "mt76x02_phy_adjust_vga_gain" },
	{ 0x894dbd21, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xb6ade77a, "devm_kmalloc" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mt76x02-lib,mt76");


MODULE_INFO(srcversion, "F614E833AE49F1C231FFF8A");
