#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00lib_get_bssidx, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_beacondone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_pretbtt, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmastart, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmadone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_nomatch, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_noinfo, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_set_mac_address, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_probe_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_remove_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_resume, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_stop, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_add_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_remove_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_config, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_configure_filter, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_tim, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_key, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_stats, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_flush, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_ringparam, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx_frames_pending, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_map_txskb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unmap_skb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_for_each_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_get_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_pause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unpause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queues, "_gpl", "");

SYMBOL_CRC(rt2x00lib_get_bssidx, 0xc436371c, "_gpl");
SYMBOL_CRC(rt2x00lib_beacondone, 0xab518b3c, "_gpl");
SYMBOL_CRC(rt2x00lib_pretbtt, 0xdabea81f, "_gpl");
SYMBOL_CRC(rt2x00lib_dmastart, 0xac7ac175, "_gpl");
SYMBOL_CRC(rt2x00lib_dmadone, 0x102515ad, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_nomatch, 0x3c48fa96, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone, 0xae7aab1d, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_noinfo, 0x88f2bf75, "_gpl");
SYMBOL_CRC(rt2x00lib_rxdone, 0x527c0184, "_gpl");
SYMBOL_CRC(rt2x00lib_set_mac_address, 0xbc5a60ef, "_gpl");
SYMBOL_CRC(rt2x00lib_probe_dev, 0x190c7f34, "_gpl");
SYMBOL_CRC(rt2x00lib_remove_dev, 0xc391d577, "_gpl");
SYMBOL_CRC(rt2x00lib_suspend, 0x24426934, "_gpl");
SYMBOL_CRC(rt2x00lib_resume, 0x5c126303, "_gpl");
SYMBOL_CRC(rt2x00mac_tx, 0x51c5f79f, "_gpl");
SYMBOL_CRC(rt2x00mac_start, 0x1820bf72, "_gpl");
SYMBOL_CRC(rt2x00mac_stop, 0x750cbec7, "_gpl");
SYMBOL_CRC(rt2x00mac_reconfig_complete, 0xf82700d4, "_gpl");
SYMBOL_CRC(rt2x00mac_add_interface, 0xdac3e6fd, "_gpl");
SYMBOL_CRC(rt2x00mac_remove_interface, 0xe81a5e39, "_gpl");
SYMBOL_CRC(rt2x00mac_config, 0xd2c8c8a3, "_gpl");
SYMBOL_CRC(rt2x00mac_configure_filter, 0x07ba0b70, "_gpl");
SYMBOL_CRC(rt2x00mac_set_tim, 0x03cbac4d, "_gpl");
SYMBOL_CRC(rt2x00mac_set_key, 0xc0a9df72, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_start, 0xad7d9c1e, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_complete, 0xef5af425, "_gpl");
SYMBOL_CRC(rt2x00mac_get_stats, 0x7c29a170, "_gpl");
SYMBOL_CRC(rt2x00mac_bss_info_changed, 0x920a78ae, "_gpl");
SYMBOL_CRC(rt2x00mac_conf_tx, 0x583df9b5, "_gpl");
SYMBOL_CRC(rt2x00mac_rfkill_poll, 0x1c2ec89f, "_gpl");
SYMBOL_CRC(rt2x00mac_flush, 0xbf702928, "_gpl");
SYMBOL_CRC(rt2x00mac_set_antenna, 0x43ea931f, "_gpl");
SYMBOL_CRC(rt2x00mac_get_antenna, 0x21226096, "_gpl");
SYMBOL_CRC(rt2x00mac_get_ringparam, 0x7da66240, "_gpl");
SYMBOL_CRC(rt2x00mac_tx_frames_pending, 0x0e6b41de, "_gpl");
SYMBOL_CRC(rt2x00queue_map_txskb, 0xb11866b3, "_gpl");
SYMBOL_CRC(rt2x00queue_unmap_skb, 0xb86ac08c, "_gpl");
SYMBOL_CRC(rt2x00queue_for_each_entry, 0x8b4bb21c, "_gpl");
SYMBOL_CRC(rt2x00queue_get_entry, 0x8a70dd2d, "_gpl");
SYMBOL_CRC(rt2x00queue_pause_queue, 0x30d78642, "_gpl");
SYMBOL_CRC(rt2x00queue_unpause_queue, 0x89d960d4, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queue, 0xdc8529ef, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queue, 0x37d9fa4a, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queue, 0x5675fa73, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queues, 0x58bc016b, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queues, 0xfeeb0adf, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queues, 0x54609ae3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1ef9bc61, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9f1bfc9b, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96a50859, "dma_unmap_page_attrs" },
	{ 0x707fbf4a, "request_firmware" },
	{ 0x758370c3, "led_classdev_suspend" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x90f6900b, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x9c12d95e, "pcpu_hot" },
	{ 0x8f3a213c, "led_classdev_unregister" },
	{ 0x55660826, "ieee80211_register_hw" },
	{ 0x52a9b447, "__ieee80211_create_tpt_led_trigger" },
	{ 0xecfd0698, "ieee80211_get_hdrlen_from_skb" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xe39e0f97, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x8f722f18, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe4b90142, "dev_driver_string" },
	{ 0xdb33bd4b, "ieee80211_tx_status_skb" },
	{ 0xf5604f9d, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9ac63814, "dma_map_page_attrs" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe9df0309, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x52880d04, "ieee80211_queue_delayed_work" },
	{ 0xf74029a6, "_dev_err" },
	{ 0x2d555005, "ieee80211_ctstoself_get" },
	{ 0xb5de9897, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1d63e99e, "skb_push" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2a7a61e5, "ieee80211_free_txskb" },
	{ 0xbb9256a3, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0xbd18f2fb, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc2d49cfc, "ieee80211_stop_queue" },
	{ 0xaa918828, "__netdev_alloc_skb" },
	{ 0xbfc5d117, "ieee80211_stop_queues" },
	{ 0x72037fe8, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9652a1ad, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xbfaefa7f, "wiphy_rfkill_start_polling" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd9c3b6b0, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3ecd961f, "led_classdev_resume" },
	{ 0xf76e76de, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xec7b78cb, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf1f701b6, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5461e31a, "ieee80211_rts_get" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xaa31a17, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x6ff2eb4, "dev_kfree_skb_any_reason" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x211ca1d7, "kmalloc_caches" },
	{ 0x2630352e, "ieee80211_rx_napi" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc1543ed, "ieee80211_iterate_interfaces" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "B16CEB370F2FF5D0EAD3FAB");
