#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0x250a2126, "sysfs_update_group" },
	{ 0x74754435, "acpi_bus_generate_netlink_event" },
	{ 0xe52c0a6d, "led_classdev_notify_brightness_hw_changed" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7bf70197, "misc_deregister" },
	{ 0xec2064dc, "remove_proc_entry" },
	{ 0x96db8df7, "hwmon_device_unregister" },
	{ 0x18096909, "iio_device_unregister" },
	{ 0xf4162d29, "iio_device_free" },
	{ 0x8db61d7f, "input_unregister_device" },
	{ 0x171b95a2, "backlight_device_unregister" },
	{ 0x8f3a213c, "led_classdev_unregister" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3c9ca09e, "battery_hook_unregister" },
	{ 0x53ef7fd7, "i8042_remove_filter" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x79f4b5c9, "sysfs_remove_group" },
	{ 0x51ba5d82, "device_remove_groups" },
	{ 0xec20ce03, "device_add_groups" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7a628cb7, "seq_printf" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xdf5eb27b, "single_open" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x77456e0a, "acpi_root_dir" },
	{ 0x532e7ce2, "proc_mkdir" },
	{ 0x511a0c78, "__acpi_bus_register_driver" },
	{ 0xf09c45d, "acpi_bus_unregister_driver" },
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0x45081703, "ec_get_handle" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x211ca1d7, "kmalloc_caches" },
	{ 0xec7b78cb, "__kmalloc_cache_noprof" },
	{ 0xa274b714, "misc_register" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0xbb9256a3, "led_classdev_register_ext" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0xaed3112, "backlight_device_register" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8d6f1ec, "input_allocate_device" },
	{ 0x7dcc3c3b, "sparse_keymap_setup" },
	{ 0xe49a08d5, "input_free_device" },
	{ 0xa673a4d7, "input_register_device" },
	{ 0x73bec683, "i8042_install_filter" },
	{ 0xa3361c55, "iio_device_alloc" },
	{ 0x1179c4fd, "hwmon_device_register_with_info" },
	{ 0xf8865d5f, "__iio_device_register" },
	{ 0x14914136, "rfkill_alloc" },
	{ 0xff282521, "rfkill_register" },
	{ 0x158f522c, "sysfs_create_group" },
	{ 0x25e58f7c, "proc_create_data" },
	{ 0x54ef4728, "proc_create_single_data" },
	{ 0xc631cca0, "battery_hook_register" },
	{ 0xc225bb46, "sparse_keymap_report_event" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x66a82b85, "noop_llseek" },
	{ 0x7dc0daf5, "device_show_string" },
	{ 0x2491bd1d, "seq_read" },
	{ 0x9d1796d6, "seq_lseek" },
	{ 0xd17a2b4, "single_release" },
	{ 0x6329168a, "param_ops_bool" },
	{ 0x208f080c, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "industrialio,rfkill,battery,wmi,video,sparse-keymap");

MODULE_ALIAS("acpi*:TOS6200:*");
MODULE_ALIAS("acpi*:TOS6207:*");
MODULE_ALIAS("acpi*:TOS6208:*");
MODULE_ALIAS("acpi*:TOS1900:*");

MODULE_INFO(srcversion, "8FD771499191DDAA302A9DE");
