#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_do_io_rw, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_setup_barmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_range_intersect_range, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0x61306e5a, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0x9f4d78c2, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0xc861c9ef, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0xaff69745, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0x1dc5dc33, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0xd168914d, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0x78701db1, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0xf1b1979a, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0xa5ea81d5, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0xc18b6328, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0x6e0a4e88, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0x50b52645, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0xab1a8dc9, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0x771d8e94, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0x8efa1d68, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0xf33d841a, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0xe34714ef, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0xd497aaf8, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0x514d520f, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite8, 0xb569acae, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite16, 0xece9c370, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite32, 0xd5ea9e6d, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread8, 0xb44ea64a, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread16, 0x022e9ab0, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread32, 0xe898e2e6, "_gpl");
SYMBOL_CRC(vfio_pci_core_do_io_rw, 0x87c4b031, "_gpl");
SYMBOL_CRC(vfio_pci_core_setup_barmap, 0x3eaed711, "_gpl");
SYMBOL_CRC(vfio_pci_core_range_intersect_range, 0xe850ca1f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x158eb6aa, "pci_probe_reset_slot" },
	{ 0x79ca06c3, "pci_set_power_state" },
	{ 0xb25affb7, "pci_irq_vector" },
	{ 0xf2c53d53, "pci_write_msi_msg" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x8f722f18, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3e94781b, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x848d372e, "iowrite8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x594bf15b, "ioport_map" },
	{ 0x8fdb2bfe, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1f1c3a77, "pci_user_write_config_word" },
	{ 0xce0ffe45, "bus_register_notifier" },
	{ 0xe9df0309, "_dev_info" },
	{ 0x560d97eb, "vfio_file_is_group" },
	{ 0xd718981e, "pci_msix_can_alloc_dyn" },
	{ 0xa0e999d8, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xb86611fb, "pci_clear_master" },
	{ 0x3fc4b540, "__pci_reset_function_locked" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xc47fe70e, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0xe71027b6, "pci_write_vpd" },
	{ 0x1ec70386, "vfio_virqfd_enable" },
	{ 0xe9c8b5a6, "vga_client_register" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x235170f, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0xe8753059, "aperture_remove_conflicting_pci_devices" },
	{ 0x23b1c5b7, "vfio_unregister_group_dev" },
	{ 0xb043b0ef, "pci_map_rom" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x638ebc8c, "pci_store_saved_state" },
	{ 0xabb7c7c2, "get_cached_msi_msg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x723139f, "pci_iounmap" },
	{ 0xcfab82ee, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0xbd18f2fb, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfc39e32f, "ioport_unmap" },
	{ 0x9fb7d9ab, "pcie_get_mps" },
	{ 0xbab4534a, "pci_dev_trylock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0x71cfefa5, "vga_put" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0x66c88d4f, "pci_dev_driver" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x33e0736b, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0xa58cc353, "_dev_notice" },
	{ 0x6df8186c, "pm_runtime_forbid" },
	{ 0x1acb721b, "pm_runtime_allow" },
	{ 0x83574517, "pci_reset_bus" },
	{ 0x85eba607, "__pm_runtime_resume" },
	{ 0x42331eb5, "vfio_register_group_dev" },
	{ 0x7d05b473, "vfio_assign_device_set" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3e6a16ec, "pci_user_read_config_byte" },
	{ 0xfe02649a, "pci_try_reset_function" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xb8f58658, "pci_get_class" },
	{ 0xec7b78cb, "__kmalloc_cache_noprof" },
	{ 0xa08101c5, "pci_user_write_config_dword" },
	{ 0x774427a7, "pcie_capability_read_dword" },
	{ 0x131c7976, "pci_load_and_free_saved_state" },
	{ 0x17013e2, "pci_disable_sriov" },
	{ 0x48ee7465, "vfio_device_set_open_count" },
	{ 0x2b39d523, "pci_disable_device" },
	{ 0x4c74fe33, "pci_match_id" },
	{ 0x3426ac54, "boot_cpu_data" },
	{ 0x16311744, "pci_check_and_unmask_intx" },
	{ 0x2cd2bd73, "pcie_set_readrq" },
	{ 0x313429da, "pci_walk_bus" },
	{ 0x70b86907, "pci_msix_alloc_irq_at" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x28360d67, "vga_get" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xa74264a0, "pci_unmap_rom" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xfc8d9280, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0xc5f7ac62, "vga_set_legacy_decoding" },
	{ 0x1192e54d, "pci_dev_unlock" },
	{ 0xa0e9eb9, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x3c747f20, "pci_free_irq_vectors" },
	{ 0x6f81151, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xa4c38a1f, "__pm_runtime_idle" },
	{ 0xb221c9e3, "vfio_virqfd_flush_thread" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfc64f307, "pci_bus_type" },
	{ 0x211ca1d7, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x81cc9475, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xc4c0b640, "vmf_insert_pfn" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x3863b990, "pci_read_vpd" },
	{ 0xd0e048b1, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xaa5ee3bb, "pci_request_selected_regions" },
	{ 0x11584dd2, "pci_release_selected_regions" },
	{ 0xe7ca31ff, "pci_user_write_config_byte" },
	{ 0x634ea1a4, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc614fb88, "pci_bus_max_busnr" },
	{ 0xc913e50, "pci_check_and_mask_intx" },
	{ 0xe922b27c, "pci_iomap" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xaa21ffd7, "pci_alloc_irq_vectors" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0x72f8d192, "pci_enable_atomic_ops_to_root" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xbb55246e, "pci_dev_put" },
	{ 0x4177dd46, "iommu_group_get" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xc63f9791, "vfio_virqfd_disable" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb4008b7b, "fget" },
	{ 0xedc03953, "iounmap" },
	{ 0xe019cef7, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x61f406be, "unmap_mapping_range" },
	{ 0x1c785ea5, "pci_user_read_config_dword" },
	{ 0x37a0cba, "kfree" },
	{ 0xe83be27c, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xdfd42f1e, "pci_probe_reset_bus" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "vfio");


MODULE_INFO(srcversion, "DEF36634042A04835349FAE");
