#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_nfs_version, "_gpl", "");
KSYMTAB_FUNC(unregister_nfs_version, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_free_client, "_gpl", "");
KSYMTAB_FUNC(nfs_put_client, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_is_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_status, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_client_init_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_get_client, "_gpl", "");
KSYMTAB_FUNC(nfs_mark_client_ready, "_gpl", "");
KSYMTAB_FUNC(nfs_init_timeout_values, "_gpl", "");
KSYMTAB_FUNC(nfs_create_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_init_server_rpcclient, "_gpl", "");
KSYMTAB_FUNC(nfs_init_client, "_gpl", "");
KSYMTAB_FUNC(nfs_probe_server, "_gpl", "");
KSYMTAB_FUNC(nfs_server_copy_userdata, "_gpl", "");
KSYMTAB_FUNC(nfs_server_insert_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_server_remove_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_server, "_gpl", "");
KSYMTAB_FUNC(nfs_free_server, "_gpl", "");
KSYMTAB_FUNC(nfs_create_server, "_gpl", "");
KSYMTAB_FUNC(nfs_clone_server, "_gpl", "");
KSYMTAB_FUNC(nfs_force_lookup_revalidate, "_gpl", "");
KSYMTAB_FUNC(nfs_set_verifier, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_verifier_delegated, "_gpl", "");
KSYMTAB_DATA(nfs_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_lookup, "_gpl", "");
KSYMTAB_FUNC(nfs_d_prune_case_insensitive_aliases, "_gpl", "");
KSYMTAB_DATA(nfs4_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_atomic_open, "_gpl", "");
KSYMTAB_FUNC(nfs_atomic_open_v23, "_gpl", "");
KSYMTAB_FUNC(nfs_add_or_obtain, "_gpl", "");
KSYMTAB_FUNC(nfs_instantiate, "_gpl", "");
KSYMTAB_FUNC(nfs_create, "_gpl", "");
KSYMTAB_FUNC(nfs_mknod, "_gpl", "");
KSYMTAB_FUNC(nfs_mkdir, "_gpl", "");
KSYMTAB_FUNC(nfs_rmdir, "_gpl", "");
KSYMTAB_FUNC(nfs_unlink, "_gpl", "");
KSYMTAB_FUNC(nfs_symlink, "_gpl", "");
KSYMTAB_FUNC(nfs_link, "_gpl", "");
KSYMTAB_FUNC(nfs_rename, "_gpl", "");
KSYMTAB_FUNC(nfs_access_zap_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_get_cached, "_gpl", "");
KSYMTAB_FUNC(nfs_access_add_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_set_mask, "_gpl", "");
KSYMTAB_FUNC(nfs_may_open, "_gpl", "");
KSYMTAB_FUNC(nfs_permission, "_gpl", "");
KSYMTAB_FUNC(nfs_check_flags, "_gpl", "");
KSYMTAB_FUNC(nfs_file_release, "_gpl", "");
KSYMTAB_FUNC(nfs_file_llseek, "_gpl", "");
KSYMTAB_FUNC(nfs_file_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_splice_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_mmap, "_gpl", "");
KSYMTAB_FUNC(nfs_file_fsync, "_gpl", "");
KSYMTAB_FUNC(nfs_file_write, "_gpl", "");
KSYMTAB_FUNC(nfs_lock, "_gpl", "");
KSYMTAB_FUNC(nfs_flock, "_gpl", "");
KSYMTAB_DATA(nfs_file_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_bit_killable, "_gpl", "");
KSYMTAB_FUNC(nfs_drop_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_sync_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_check_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_set_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_zap_acl_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_invalidate_atime, "_gpl", "");
KSYMTAB_FUNC(nfs4_label_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_setsecurity, "_gpl", "");
KSYMTAB_FUNC(nfs_fhget, "_gpl", "");
KSYMTAB_FUNC(nfs_update_delegated_mtime, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_getattr, "_gpl", "");
KSYMTAB_FUNC(nfs_get_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_put_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_close_context, "_gpl", "");
KSYMTAB_FUNC(alloc_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(get_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(put_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_inode_attach_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_file_set_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_revalidate_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_inc_attr_generation_counter, "_gpl", "");
KSYMTAB_FUNC(nfs_fattr_init, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr_with_label, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fhandle, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle_hash, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle, "_gpl", "");
KSYMTAB_FUNC(nfs_refresh_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode_force_wcc, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_free_inode, "_gpl", "");
KSYMTAB_DATA(nfsiod_workqueue, "_gpl", "");
KSYMTAB_DATA(nfs_net_id, "_gpl", "");
KSYMTAB_DATA(nfs_sops, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_active, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_deactive, "_gpl", "");
KSYMTAB_FUNC(nfs_client_for_each_server, "_gpl", "");
KSYMTAB_FUNC(nfs_statfs, "_gpl", "");
KSYMTAB_FUNC(nfs_show_options, "_gpl", "");
KSYMTAB_FUNC(nfs_show_devname, "_gpl", "");
KSYMTAB_FUNC(nfs_show_path, "_gpl", "");
KSYMTAB_FUNC(nfs_show_stats, "_gpl", "");
KSYMTAB_FUNC(nfs_umount_begin, "_gpl", "");
KSYMTAB_FUNC(nfs_auth_info_match, "_gpl", "");
KSYMTAB_FUNC(nfs_try_get_tree, "_gpl", "");
KSYMTAB_FUNC(nfs_reconfigure, "_gpl", "");
KSYMTAB_FUNC(nfs_kill_super, "_gpl", "");
KSYMTAB_DATA(nfs_callback_nr_threads, "_gpl", "");
KSYMTAB_DATA(nfs_callback_set_tcpport, "_gpl", "");
KSYMTAB_DATA(nfs_idmap_cache_timeout, "_gpl", "");
KSYMTAB_DATA(nfs4_disable_idmapping, "_gpl", "");
KSYMTAB_DATA(max_session_slots, "_gpl", "");
KSYMTAB_DATA(max_session_cb_slots, "_gpl", "");
KSYMTAB_DATA(send_implementation_id, "_gpl", "");
KSYMTAB_DATA(nfs4_client_id_uniquifier, "_gpl", "");
KSYMTAB_DATA(recover_lost_locks, "_gpl", "");
KSYMTAB_DATA(nfs_delay_retrans, "_gpl", "");
KSYMTAB_FUNC(nfs_dreq_bytes_left, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_current_mirror, "_gpl", "");
KSYMTAB_FUNC(nfs_pgheader_init, "_gpl", "");
KSYMTAB_FUNC(nfs_async_iocounter_wait, "_gpl", "");
KSYMTAB_FUNC(nfs_release_request, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_free, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_resend, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_read, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_read_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_read_alloc_scratch, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_free, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list_locked, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_request_remove_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_init_cinfo, "_gpl", "");
KSYMTAB_FUNC(nfs_scan_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_write, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_write_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_writeback_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_release, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_init_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_retry_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_write_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_filemap_write_and_wait_range, "_gpl", "");
KSYMTAB_FUNC(nfs_wb_all, "_gpl", "");
KSYMTAB_FUNC(nfs_path, "_gpl", "");
KSYMTAB_FUNC(nfs_do_submount, "_gpl", "");
KSYMTAB_FUNC(nfs_submount, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_link_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_add_server, "_gpl", "");
KSYMTAB_DATA(nfs_fs_type, "_gpl", "");
KSYMTAB_DATA(nfs4_fs_type, "_gpl", "");
KSYMTAB_FUNC(nfs_fscache_open_file, "_gpl", "");

SYMBOL_CRC(register_nfs_version, 0xaf123ff3, "_gpl");
SYMBOL_CRC(unregister_nfs_version, 0x9979bb7b, "_gpl");
SYMBOL_CRC(nfs_alloc_client, 0x60df8aa7, "_gpl");
SYMBOL_CRC(nfs_free_client, 0x89ec4e72, "_gpl");
SYMBOL_CRC(nfs_put_client, 0x5ebecde8, "_gpl");
SYMBOL_CRC(nfs_client_init_is_complete, 0x2e5f1ef1, "_gpl");
SYMBOL_CRC(nfs_client_init_status, 0x80ce6233, "_gpl");
SYMBOL_CRC(nfs_wait_client_init_complete, 0xd5c01032, "_gpl");
SYMBOL_CRC(nfs_get_client, 0xd617219c, "_gpl");
SYMBOL_CRC(nfs_mark_client_ready, 0x12490b55, "_gpl");
SYMBOL_CRC(nfs_init_timeout_values, 0x98b0ece8, "_gpl");
SYMBOL_CRC(nfs_create_rpc_client, 0xf1c38b42, "_gpl");
SYMBOL_CRC(nfs_init_server_rpcclient, 0x2e2fd40e, "_gpl");
SYMBOL_CRC(nfs_init_client, 0x6883f3cd, "_gpl");
SYMBOL_CRC(nfs_probe_server, 0x5b222aec, "_gpl");
SYMBOL_CRC(nfs_server_copy_userdata, 0x33111c05, "_gpl");
SYMBOL_CRC(nfs_server_insert_lists, 0xf0bcaec3, "_gpl");
SYMBOL_CRC(nfs_server_remove_lists, 0x8de6d973, "_gpl");
SYMBOL_CRC(nfs_alloc_server, 0x9607e02e, "_gpl");
SYMBOL_CRC(nfs_free_server, 0x9965d8d2, "_gpl");
SYMBOL_CRC(nfs_create_server, 0xdb29d32b, "_gpl");
SYMBOL_CRC(nfs_clone_server, 0xcd1e06d2, "_gpl");
SYMBOL_CRC(nfs_force_lookup_revalidate, 0x39cfaf3e, "_gpl");
SYMBOL_CRC(nfs_set_verifier, 0x6177b0a4, "_gpl");
SYMBOL_CRC(nfs_clear_verifier_delegated, 0x8b279d37, "_gpl");
SYMBOL_CRC(nfs_dentry_operations, 0xc35e084e, "_gpl");
SYMBOL_CRC(nfs_lookup, 0x2d355d63, "_gpl");
SYMBOL_CRC(nfs_d_prune_case_insensitive_aliases, 0x554a3a35, "_gpl");
SYMBOL_CRC(nfs4_dentry_operations, 0x2696467b, "_gpl");
SYMBOL_CRC(nfs_atomic_open, 0x7340cba5, "_gpl");
SYMBOL_CRC(nfs_atomic_open_v23, 0xd2eeb279, "_gpl");
SYMBOL_CRC(nfs_add_or_obtain, 0x25339e3c, "_gpl");
SYMBOL_CRC(nfs_instantiate, 0xa0ebad87, "_gpl");
SYMBOL_CRC(nfs_create, 0x832ceea1, "_gpl");
SYMBOL_CRC(nfs_mknod, 0x7e75e293, "_gpl");
SYMBOL_CRC(nfs_mkdir, 0x46c0dfd3, "_gpl");
SYMBOL_CRC(nfs_rmdir, 0xbc529be4, "_gpl");
SYMBOL_CRC(nfs_unlink, 0x464bfb48, "_gpl");
SYMBOL_CRC(nfs_symlink, 0x4e71622b, "_gpl");
SYMBOL_CRC(nfs_link, 0xfd99e05a, "_gpl");
SYMBOL_CRC(nfs_rename, 0xb85d8538, "_gpl");
SYMBOL_CRC(nfs_access_zap_cache, 0x7ef37f0b, "_gpl");
SYMBOL_CRC(nfs_access_get_cached, 0xc09efb05, "_gpl");
SYMBOL_CRC(nfs_access_add_cache, 0x73c02f90, "_gpl");
SYMBOL_CRC(nfs_access_set_mask, 0x08e162a8, "_gpl");
SYMBOL_CRC(nfs_may_open, 0x27b9d2df, "_gpl");
SYMBOL_CRC(nfs_permission, 0xcb088dbd, "_gpl");
SYMBOL_CRC(nfs_check_flags, 0x3f2690f2, "_gpl");
SYMBOL_CRC(nfs_file_release, 0x3bce02a1, "_gpl");
SYMBOL_CRC(nfs_file_llseek, 0x4ae34748, "_gpl");
SYMBOL_CRC(nfs_file_read, 0xea5e6bdc, "_gpl");
SYMBOL_CRC(nfs_file_splice_read, 0x06aab25a, "_gpl");
SYMBOL_CRC(nfs_file_mmap, 0xcc831395, "_gpl");
SYMBOL_CRC(nfs_file_fsync, 0x46b7bfed, "_gpl");
SYMBOL_CRC(nfs_file_write, 0x8d668104, "_gpl");
SYMBOL_CRC(nfs_lock, 0x5edfe38b, "_gpl");
SYMBOL_CRC(nfs_flock, 0xcc22054e, "_gpl");
SYMBOL_CRC(nfs_file_operations, 0xbe2da9ec, "_gpl");
SYMBOL_CRC(nfs_wait_bit_killable, 0x40739385, "_gpl");
SYMBOL_CRC(nfs_drop_inode, 0x8c3c84c6, "_gpl");
SYMBOL_CRC(nfs_clear_inode, 0x0709d654, "_gpl");
SYMBOL_CRC(nfs_sync_inode, 0xdc744613, "_gpl");
SYMBOL_CRC(nfs_check_cache_invalid, 0xafb8970c, "_gpl");
SYMBOL_CRC(nfs_set_cache_invalid, 0x8c5e338f, "_gpl");
SYMBOL_CRC(nfs_zap_acl_cache, 0x10dd47c6, "_gpl");
SYMBOL_CRC(nfs_invalidate_atime, 0x13a679b0, "_gpl");
SYMBOL_CRC(nfs4_label_alloc, 0x8a1b8d22, "_gpl");
SYMBOL_CRC(nfs_setsecurity, 0x37e2a4b7, "_gpl");
SYMBOL_CRC(nfs_fhget, 0x720fbf59, "_gpl");
SYMBOL_CRC(nfs_update_delegated_mtime, 0x1ef5f355, "_gpl");
SYMBOL_CRC(nfs_setattr, 0x182bce0b, "_gpl");
SYMBOL_CRC(nfs_setattr_update_inode, 0x34116a8b, "_gpl");
SYMBOL_CRC(nfs_getattr, 0xbea738bb, "_gpl");
SYMBOL_CRC(nfs_get_lock_context, 0x195cf2df, "_gpl");
SYMBOL_CRC(nfs_put_lock_context, 0xdea70729, "_gpl");
SYMBOL_CRC(nfs_close_context, 0x48e4315e, "_gpl");
SYMBOL_CRC(alloc_nfs_open_context, 0xa1f5c600, "_gpl");
SYMBOL_CRC(get_nfs_open_context, 0xf0de61ec, "_gpl");
SYMBOL_CRC(put_nfs_open_context, 0xf2f77f28, "_gpl");
SYMBOL_CRC(nfs_inode_attach_open_context, 0x0c83a3e2, "_gpl");
SYMBOL_CRC(nfs_file_set_open_context, 0x8c65d44c, "_gpl");
SYMBOL_CRC(nfs_revalidate_inode, 0xeb4f78e6, "_gpl");
SYMBOL_CRC(nfs_inc_attr_generation_counter, 0x584b8482, "_gpl");
SYMBOL_CRC(nfs_fattr_init, 0xa05ca625, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr, 0x832e8f0b, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr_with_label, 0x0f3e391e, "_gpl");
SYMBOL_CRC(nfs_alloc_fhandle, 0x26884ff7, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle_hash, 0x22d795a8, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle, 0xfc619abd, "_gpl");
SYMBOL_CRC(nfs_refresh_inode, 0xc6c2a388, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode, 0x25959a92, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode_force_wcc, 0x16bd293d, "_gpl");
SYMBOL_CRC(nfs_alloc_inode, 0x5b5ccf1c, "_gpl");
SYMBOL_CRC(nfs_free_inode, 0x0f784812, "_gpl");
SYMBOL_CRC(nfsiod_workqueue, 0x90a5530f, "_gpl");
SYMBOL_CRC(nfs_net_id, 0xc3a2be67, "_gpl");
SYMBOL_CRC(nfs_sops, 0x45f9b0fc, "_gpl");
SYMBOL_CRC(nfs_sb_active, 0x88e781e1, "_gpl");
SYMBOL_CRC(nfs_sb_deactive, 0x9c24078e, "_gpl");
SYMBOL_CRC(nfs_client_for_each_server, 0x0e880cba, "_gpl");
SYMBOL_CRC(nfs_statfs, 0xeaa5ef59, "_gpl");
SYMBOL_CRC(nfs_show_options, 0x0420ae3e, "_gpl");
SYMBOL_CRC(nfs_show_devname, 0x6f3ee3e0, "_gpl");
SYMBOL_CRC(nfs_show_path, 0xf8158e41, "_gpl");
SYMBOL_CRC(nfs_show_stats, 0xca6dabf1, "_gpl");
SYMBOL_CRC(nfs_umount_begin, 0xa9246f18, "_gpl");
SYMBOL_CRC(nfs_auth_info_match, 0x10962bc2, "_gpl");
SYMBOL_CRC(nfs_try_get_tree, 0x9a263fd1, "_gpl");
SYMBOL_CRC(nfs_reconfigure, 0xf2b5ced7, "_gpl");
SYMBOL_CRC(nfs_kill_super, 0x97d27fa3, "_gpl");
SYMBOL_CRC(nfs_callback_nr_threads, 0x0294c6a2, "_gpl");
SYMBOL_CRC(nfs_callback_set_tcpport, 0x51892d61, "_gpl");
SYMBOL_CRC(nfs_idmap_cache_timeout, 0x39e05ac3, "_gpl");
SYMBOL_CRC(nfs4_disable_idmapping, 0xdae9b5d7, "_gpl");
SYMBOL_CRC(max_session_slots, 0x91d1fe52, "_gpl");
SYMBOL_CRC(max_session_cb_slots, 0xaafd4acc, "_gpl");
SYMBOL_CRC(send_implementation_id, 0xa8e9e1ae, "_gpl");
SYMBOL_CRC(nfs4_client_id_uniquifier, 0x42f2c81f, "_gpl");
SYMBOL_CRC(recover_lost_locks, 0x4cb9e001, "_gpl");
SYMBOL_CRC(nfs_delay_retrans, 0xefa414fb, "_gpl");
SYMBOL_CRC(nfs_dreq_bytes_left, 0x719948fc, "_gpl");
SYMBOL_CRC(nfs_pgio_current_mirror, 0x0947c964, "_gpl");
SYMBOL_CRC(nfs_pgheader_init, 0x11f9eace, "_gpl");
SYMBOL_CRC(nfs_async_iocounter_wait, 0x55a08a2b, "_gpl");
SYMBOL_CRC(nfs_release_request, 0xbcc3058b, "_gpl");
SYMBOL_CRC(nfs_generic_pg_test, 0x14d3257e, "_gpl");
SYMBOL_CRC(nfs_pgio_header_alloc, 0x292caa8f, "_gpl");
SYMBOL_CRC(nfs_pgio_header_free, 0x91e19479, "_gpl");
SYMBOL_CRC(nfs_initiate_pgio, 0x806607c0, "_gpl");
SYMBOL_CRC(nfs_generic_pgio, 0x9f6f8cc2, "_gpl");
SYMBOL_CRC(nfs_pageio_resend, 0x451e7245, "_gpl");
SYMBOL_CRC(nfs_pageio_init_read, 0x19388239, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_read_mds, 0x12f11b58, "_gpl");
SYMBOL_CRC(nfs_read_alloc_scratch, 0x74b1395e, "_gpl");
SYMBOL_CRC(nfs_commitdata_alloc, 0x76958aa6, "_gpl");
SYMBOL_CRC(nfs_commit_free, 0x6ba1e72a, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list_locked, 0x27def117, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list, 0xd23022c6, "_gpl");
SYMBOL_CRC(nfs_request_remove_commit_list, 0xa35dbe82, "_gpl");
SYMBOL_CRC(nfs_init_cinfo, 0xea8e1637, "_gpl");
SYMBOL_CRC(nfs_scan_commit_list, 0xdee69326, "_gpl");
SYMBOL_CRC(nfs_pageio_init_write, 0x9f75a744, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_write_mds, 0x19666ca9, "_gpl");
SYMBOL_CRC(nfs_writeback_update_inode, 0x3de0d784, "_gpl");
SYMBOL_CRC(nfs_commitdata_release, 0xff9ac29b, "_gpl");
SYMBOL_CRC(nfs_initiate_commit, 0xb8896fa3, "_gpl");
SYMBOL_CRC(nfs_init_commit, 0x842508d2, "_gpl");
SYMBOL_CRC(nfs_retry_commit, 0xa8ea7de2, "_gpl");
SYMBOL_CRC(nfs_commit_inode, 0x3d87898f, "_gpl");
SYMBOL_CRC(nfs_write_inode, 0x9111f4f8, "_gpl");
SYMBOL_CRC(nfs_filemap_write_and_wait_range, 0x63a59465, "_gpl");
SYMBOL_CRC(nfs_wb_all, 0x990b1c08, "_gpl");
SYMBOL_CRC(nfs_path, 0xeaf2d306, "_gpl");
SYMBOL_CRC(nfs_do_submount, 0x09ad96c1, "_gpl");
SYMBOL_CRC(nfs_submount, 0xfba5a9b4, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_enter, 0xd5e139a5, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_enter, 0x6aefcd74, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_enter, 0x3f2cad8e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_fsync_enter, 0xfd3c0de6, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_exit, 0x39221a8c, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_exit, 0xf7b5c84a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_exit, 0x21f10808, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_fsync_exit, 0x9d919c44, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_status, 0x247c1e7e, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_status, 0x315c8cb4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_status, 0x3caf0cfa, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_xdr_status, 0xfeb42418, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_bad_filehandle, 0xe4173229, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_bad_filehandle, 0x153f9c7c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_bad_filehandle, 0x071d862c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_xdr_bad_filehandle, 0x37239e6d, "_gpl");
SYMBOL_CRC(nfs_sysfs_link_rpc_client, 0xcbba4b21, "_gpl");
SYMBOL_CRC(nfs_sysfs_add_server, 0xa28a1d71, "_gpl");
SYMBOL_CRC(nfs_fs_type, 0x47e66e0a, "_gpl");
SYMBOL_CRC(nfs4_fs_type, 0xe13d8189, "_gpl");
SYMBOL_CRC(nfs_fscache_open_file, 0xee68ce98, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c602c29, "inode_newsize_ok" },
	{ 0x6741f4cc, "d_drop" },
	{ 0x9c69a00d, "deactivate_super" },
	{ 0x9d384f9f, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xdfd14b61, "security_sb_mnt_opts_compat" },
	{ 0xb6b630f7, "param_get_uint" },
	{ 0x3b83e392, "vfs_parse_fs_string" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1693c4c3, "unregister_sysctl_table" },
	{ 0x2db96e06, "make_kuid" },
	{ 0x6c160f05, "truncate_inode_pages_final" },
	{ 0xcad17c7, "d_alloc" },
	{ 0xd4cf7bfb, "fs_kobj" },
	{ 0x6214f890, "net_ns_type_operations" },
	{ 0x16d316d4, "__filemap_set_wb_err" },
	{ 0xa78dedb8, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xf5f00a63, "generic_perform_write" },
	{ 0xac8ff6bd, "shrinker_register" },
	{ 0x720cb888, "__filemap_get_folio" },
	{ 0x972a132e, "const_pcpu_hot" },
	{ 0xac84310f, "simple_nosetlease" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xe31e4989, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xcec055ab, "rpc_setbufsize" },
	{ 0x318c1e66, "fs_context_for_submount" },
	{ 0x909e2cfe, "inode_init_once" },
	{ 0xffbf8ead, "folio_wait_private_2" },
	{ 0x931f4366, "file_write_and_wait_range" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xb73c0611, "__fscache_relinquish_volume" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x662a955, "seq_escape_mem" },
	{ 0xb6ee7547, "ilookup5" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0xb169f0b, "generic_parse_monolithic" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf3cb74e1, "inode_nohighmem" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x63c889e6, "perf_trace_run_bpf_submit" },
	{ 0x4cb785ac, "security_d_instantiate" },
	{ 0x57bc19d2, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xce807a25, "up_write" },
	{ 0x41172d12, "generic_file_read_iter" },
	{ 0x9c159861, "rpc_clone_client_set_auth" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa07a37f0, "memchr" },
	{ 0x433cbc5e, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdff9f37d, "put_fs_context" },
	{ 0xcf9e9f3, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x2d112949, "kobj_sysfs_ops" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x558eb0be, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x37fb72af, "write_cache_pages" },
	{ 0xee661bd2, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8baadbc1, "kmem_cache_alloc_lru_noprof" },
	{ 0xf5cc24ba, "kmem_cache_free" },
	{ 0xd5922286, "rpc_max_payload" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x3f695b61, "d_move" },
	{ 0x91ff9f64, "seq_putc" },
	{ 0xfa202fff, "rpc_proc_unregister" },
	{ 0xd8f9a2ba, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x41b04078, "vfs_create_mount" },
	{ 0x64db9a5, "mark_mounts_for_expiry" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x59e6fab9, "folio_wait_writeback" },
	{ 0xffb7c514, "ida_free" },
	{ 0x81d413f5, "nlmclnt_rpc_clnt" },
	{ 0x3ef1d534, "rpc_clnt_swap_activate" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x3f9a2b0b, "rpcauth_get_gssinfo" },
	{ 0x4b01dcee, "kobject_init_and_add" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3f72dbd3, "write_inode_now" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf9a2cf36, "d_obtain_alias" },
	{ 0xad0a10a2, "__put_devmap_managed_folio_refs" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2bee4a85, "folio_end_read" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0x4609a3dc, "rpc_create" },
	{ 0x45638bd7, "finish_no_open" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x8d41eb77, "__folio_start_writeback" },
	{ 0xcbe57917, "d_obtain_root" },
	{ 0xe6b3ac6b, "bpf_trace_run1" },
	{ 0x56a79769, "param_ops_short" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x5703881d, "folio_end_writeback" },
	{ 0x5eb2fbb9, "folio_alloc_noprof" },
	{ 0xe73f5302, "rpc_call_sync" },
	{ 0x532e7ce2, "proc_mkdir" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xa4202969, "rpc_put_task_async" },
	{ 0x95de6b71, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x25ab9f86, "xdr_init_decode_pages" },
	{ 0x3bd45f5c, "register_sysctl_sz" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x86d52ba5, "lookup_constant" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa0795d83, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x9b8ca3ad, "rpc_exit" },
	{ 0x4ad89a39, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x126bd231, "d_delete" },
	{ 0x18a10f07, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0xe1552899, "nfs_ssc_unregister" },
	{ 0xe82d63c9, "rpc_killall_tasks" },
	{ 0x668b19a1, "down_read" },
	{ 0xd775dfb7, "xdr_reserve_space" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x678b8f6e, "iov_iter_get_pages_alloc2" },
	{ 0x1d453be8, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x1a7c0f22, "bpf_trace_run3" },
	{ 0x44da0b44, "__put_net" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x71ee4774, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x2c01df6e, "generic_read_dir" },
	{ 0x5afd0177, "kobject_del" },
	{ 0x265bcd8c, "trace_event_buffer_reserve" },
	{ 0xdae002c2, "d_add" },
	{ 0xe6fa06a2, "rename_lock" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf1610ba5, "filemap_fdatawait_range" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x6329168a, "param_ops_bool" },
	{ 0x5f4a905c, "groups_free" },
	{ 0xda946293, "security_inode_notifysecctx" },
	{ 0x6629b06e, "nfs_ssc_register" },
	{ 0xfb7a35d7, "init_user_ns" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x62ed5c9, "invalidate_inode_pages2" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xec37392f, "seq_write" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0xae6fd6c1, "__folio_put" },
	{ 0x5d990d9f, "kobject_set_name" },
	{ 0xec7b78cb, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7a628cb7, "seq_printf" },
	{ 0xa6a1ab6b, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7f99ac2d, "deactivate_locked_super" },
	{ 0xad735234, "put_rpccred" },
	{ 0xccfee760, "__percpu_down_read" },
	{ 0x4ccd4bdf, "__d_lookup_unhash_wake" },
	{ 0x5c855cea, "rpc_clnt_swap_deactivate" },
	{ 0x33b96279, "kobject_uevent" },
	{ 0x6adeae31, "__fscache_invalidate" },
	{ 0x71cda498, "folio_mapping" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x79fc7b70, "alloc_pages_noprof" },
	{ 0xc7638bb9, "cred_fscmp" },
	{ 0x1a8023b4, "__folio_lock" },
	{ 0xf41f642f, "filemap_dirty_folio" },
	{ 0xc22e0178, "pagecache_get_page" },
	{ 0x3a2d194, "is_bad_inode" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0x4a276f9f, "__fscache_use_cookie" },
	{ 0x22705a83, "rcuwait_wake_up" },
	{ 0xbfec3c03, "_proc_mkdir" },
	{ 0x4f323fca, "node_data" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x8e589341, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x9905835e, "__fs_parse" },
	{ 0x2b503c6, "sysfs_create_link_nowarn" },
	{ 0x5314a844, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x175b0cb0, "dget_parent" },
	{ 0x21bad525, "nlmclnt_init" },
	{ 0x5f576df0, "__seq_puts" },
	{ 0x644385bd, "kill_anon_super" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xc8168da5, "iget5_locked" },
	{ 0x5bbbee7c, "filemap_write_and_wait_range" },
	{ 0xd464d76d, "kset_register" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe1b920ee, "nlmclnt_done" },
	{ 0x754d539c, "strlen" },
	{ 0xda93689, "proc_symlink" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x208f080c, "param_ops_int" },
	{ 0xe60142f6, "netfs_subreq_terminated" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x60eb54fc, "iov_iter_revert" },
	{ 0x292dd3c4, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x22463f42, "mntget" },
	{ 0x1b700442, "setattr_should_drop_sgid" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x47172d8f, "filemap_fault" },
	{ 0xc43e1a91, "d_invalidate" },
	{ 0x970f6f55, "__mark_inode_dirty" },
	{ 0x634fd351, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xfd330b6b, "folio_wait_private_2_killable" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x53b954a2, "up_read" },
	{ 0x9ecb0021, "rpc_wait_for_completion_task" },
	{ 0x1510e268, "set_anon_super" },
	{ 0x3518d591, "drop_nlink" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x211ca1d7, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xbcb047b3, "kmem_cache_destroy" },
	{ 0xd894dd3, "__fscache_acquire_cookie" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf4338082, "kobject_put" },
	{ 0x6e93ddea, "vfs_get_tree" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x54689493, "rpc_put_task" },
	{ 0x3777a948, "super_setup_bdi_name" },
	{ 0x9f2245ff, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x90abf2d7, "inode_update_timestamps" },
	{ 0x721abfb2, "filemap_fdatawrite" },
	{ 0xa41f41ab, "generic_fillattr" },
	{ 0x5af12501, "vfs_fsync_range" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xccedef45, "shrinker_alloc" },
	{ 0x617f1b86, "clear_nlink" },
	{ 0x3156c6cb, "file_check_and_advance_wb_err" },
	{ 0x73003d9a, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1f75ff23, "d_alloc_parallel" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc966553b, "clear_inode" },
	{ 0xaec8f45a, "inode_to_bdi" },
	{ 0xb04dfffa, "bpf_trace_run4" },
	{ 0x2e205938, "__fscache_acquire_volume" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x1adc932, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xac4038d6, "proc_dointvec_jiffies" },
	{ 0x381c8668, "rpc_proc_register" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4c29d6a1, "sysfs_create_file_ns" },
	{ 0x171729f8, "rpc_shutdown_client" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x8dc1ce1c, "fs_param_is_string" },
	{ 0x5077deb8, "folio_unlock" },
	{ 0xc1a2bb11, "mnt_set_expiry" },
	{ 0x1d9cc1fc, "param_ops_ushort" },
	{ 0xbd9a923f, "lookup_one_len" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x54c1c270, "rpc_clnt_show_stats" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x1e006edb, "filemap_map_pages" },
	{ 0x8d358f27, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xab0e5de9, "trace_raw_output_prep" },
	{ 0x414f297, "kobject_rename" },
	{ 0x923601fd, "security_sb_set_mnt_opts" },
	{ 0xd71a969e, "init_special_inode" },
	{ 0x32e6f8f6, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xeb6e3708, "generic_error_remove_folio" },
	{ 0xc171e6be, "__trace_trigger_soft_disabled" },
	{ 0xbd1c1547, "filemap_fdatawrite_range" },
	{ 0x8b59bab7, "folio_wait_bit_killable" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x74a92b58, "d_make_root" },
	{ 0x4cbbad0a, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x98d9d006, "sync_filesystem" },
	{ 0x1e531ab9, "__fscache_unuse_cookie" },
	{ 0xc852a5fa, "folio_redirty_for_writepage" },
	{ 0xcd9daea2, "sget_fc" },
	{ 0x9a1e353a, "d_splice_alias" },
	{ 0xbc825131, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x61f406be, "unmap_mapping_range" },
	{ 0xfab42b4b, "ihold" },
	{ 0x8abd00f3, "inode_dio_wait" },
	{ 0xbf49553, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0x8cc697a6, "invalidate_inode_pages2_range" },
	{ 0x304ff8fd, "read_cache_page" },
	{ 0x624ff490, "finish_open" },
	{ 0x1fabaaad, "iput" },
	{ 0x6669ca2d, "kset_unregister" },
	{ 0x9c12d95e, "pcpu_hot" },
	{ 0x24ada999, "security_sb_clone_mnt_opts" },
	{ 0x8a69b1b4, "fs_param_is_enum" },
	{ 0x33595d34, "logfc" },
	{ 0x52f98c9d, "iter_file_splice_write" },
	{ 0xfbfd9f97, "rpc_pton" },
	{ 0xdf226523, "mod_node_page_state" },
	{ 0x14e8b19f, "rpc_wake_up_queued_task" },
	{ 0xc469448a, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x85602ddb, "remove_proc_subtree" },
	{ 0x65dd5e84, "rpc_restart_call_prepare" },
	{ 0xdd829e42, "d_lookup" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x50f8ed1e, "__module_get" },
	{ 0xa2cb6252, "__fscache_relinquish_cookie" },
	{ 0xc1ca959a, "register_filesystem" },
	{ 0x7cc43321, "kmem_cache_create" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x16282cc6, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xbfacb23b, "filemap_add_folio" },
	{ 0xd65c97d, "rpc_sleep_on" },
	{ 0x2876d73b, "rpc_run_task" },
	{ 0x74d621fc, "netfs_readahead" },
	{ 0xf2a6808d, "proc_create_net_data" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa43bb02, "d_prune_aliases" },
	{ 0x6b97207c, "__put_cred" },
	{ 0x8fefddef, "register_pernet_subsys" },
	{ 0xa7d202fc, "rpc_cancel_tasks" },
	{ 0x7736d4a6, "shrinker_free" },
	{ 0x371dd545, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb1dc8af9, "migrate_folio" },
	{ 0x4cdca7ae, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x4ee507b4, "add_swap_extent" },
	{ 0x803a268e, "fs_param_is_u32" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,netfs,lockd");


MODULE_INFO(srcversion, "99D1E543F45AC2E75BFD0EC");
