#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hsr_get_version, "", "");
KSYMTAB_FUNC(is_hsr_master, "", "");

SYMBOL_CRC(hsr_get_version, 0x6d347615, "");
SYMBOL_CRC(is_hsr_master, 0x7687aca0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x55acc3ed, "genlmsg_put" },
	{ 0x83150be4, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0xca27274c, "dev_set_promiscuity" },
	{ 0x9d1796d6, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x9175ecad, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xad308444, "unregister_netdevice_queue" },
	{ 0x570d6c70, "netlink_ack" },
	{ 0x741ec58b, "__pskb_copy_fclone" },
	{ 0xc1de78e2, "dev_uc_unsync" },
	{ 0xd4c6fed5, "ether_setup" },
	{ 0x73e5ca3b, "netlink_broadcast_filtered" },
	{ 0x2d74e512, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x66f5303b, "netdev_upper_dev_link" },
	{ 0xe3c8efed, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x3dec84fb, "netdev_rx_handler_unregister" },
	{ 0x1f8c0447, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x4f8e07bb, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3c095c4, "skb_copy_expand" },
	{ 0xbe440074, "__dev_get_by_index" },
	{ 0x968a40ae, "rtnl_link_unregister" },
	{ 0x2259e7b4, "init_net" },
	{ 0xb5de9897, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x12180edc, "sk_skb_reason_drop" },
	{ 0xcbe37175, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4da7c41c, "dev_get_by_index_rcu" },
	{ 0xea357f2e, "netdev_printk" },
	{ 0x1d63e99e, "skb_push" },
	{ 0x4644e7a7, "debugfs_remove" },
	{ 0xa824e4e6, "netdev_upper_dev_unlink" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x974635ea, "netdev_set_operstate" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1567c152, "__pskb_pull_tail" },
	{ 0xabca717d, "netif_rx" },
	{ 0xaa918828, "__netdev_alloc_skb" },
	{ 0x72037fe8, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2491bd1d, "seq_read" },
	{ 0xe16112d8, "debugfs_rename" },
	{ 0xe11ee08f, "debugfs_create_file" },
	{ 0x9bfca20f, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc2c5d16f, "call_netdevice_notifiers" },
	{ 0xbb7b2c2, "dev_set_allmulti" },
	{ 0xec37392f, "seq_write" },
	{ 0xec7b78cb, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xca05a5aa, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7a628cb7, "seq_printf" },
	{ 0x1be11e71, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x95b2ed40, "netif_carrier_on" },
	{ 0x124fe90a, "netdev_rx_handler_register" },
	{ 0xd17a2b4, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd48e8f9c, "genl_unregister_family" },
	{ 0xfa6ef67d, "dev_disable_lro" },
	{ 0x6ff2eb4, "dev_kfree_skb_any_reason" },
	{ 0xdf5eb27b, "single_open" },
	{ 0x1f394bba, "debugfs_create_dir" },
	{ 0xa5f2ca56, "dev_mc_unsync" },
	{ 0xa0d41ba8, "genl_register_family" },
	{ 0xf6802632, "netdev_core_stats_inc" },
	{ 0x211ca1d7, "kmalloc_caches" },
	{ 0xed0af5fb, "netdev_info" },
	{ 0xb0587078, "dev_mc_sync_multiple" },
	{ 0xd1e0989c, "register_netdevice" },
	{ 0xcfea816d, "dev_set_mtu" },
	{ 0x857feaec, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xa7382013, "eth_header" },
	{ 0x1ef9bc61, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xdf5ddf47, "netdev_update_features" },
	{ 0xb0e602eb, "memmove" },
	{ 0xe22edb0c, "rtnl_link_register" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "837DAE7B82AD3A33892B09D");
