#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d2c8bcd, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x68f1a786, "usb_submit_urb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcca84942, "snd_card_new" },
	{ 0xa0f85e2b, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1c864dda, "snd_card_set_id" },
	{ 0xf74029a6, "_dev_err" },
	{ 0x4dd3bfca, "usb_set_interface" },
	{ 0x4f94a16f, "snd_pcm_set_ops" },
	{ 0x3dc9fe3e, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8afb8ff8, "usb_string" },
	{ 0xc393cccb, "snd_pcm_set_managed_buffer_all" },
	{ 0xbd18f2fb, "_dev_warn" },
	{ 0xd1c227c5, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2a952524, "input_event" },
	{ 0x2ed4d502, "input_set_abs_params" },
	{ 0x27ee195d, "snd_rawmidi_new" },
	{ 0xf7caf9b0, "snd_card_disconnect" },
	{ 0x681cd478, "snd_rawmidi_set_ops" },
	{ 0x6329168a, "param_ops_bool" },
	{ 0xec7b78cb, "__kmalloc_cache_noprof" },
	{ 0x9a3f31aa, "usb_kill_urb" },
	{ 0xf0f07c92, "usb_init_urb" },
	{ 0x2e04fb41, "snd_pcm_period_elapsed" },
	{ 0x208f080c, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x211ca1d7, "kmalloc_caches" },
	{ 0x8d6f1ec, "input_allocate_device" },
	{ 0x75cfb8fb, "usb_alloc_urb" },
	{ 0x12a08d23, "snd_rawmidi_receive" },
	{ 0x4e56c2da, "usb_free_urb" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0x4ab85b7c, "snd_rawmidi_transmit" },
	{ 0x74ef47d2, "snd_ctl_add" },
	{ 0x24bffdb1, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1b06163c, "snd_card_register" },
	{ 0x97ccd746, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2671abca, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0xac315494, "param_array_ops" },
	{ 0x8db61d7f, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x8f722f18, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe49a08d5, "input_free_device" },
	{ 0x6fc97691, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x27607a19, "usb_bulk_msg" },
	{ 0xa673a4d7, "input_register_device" },
	{ 0xcccffd57, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd,snd-pcm,snd-rawmidi");

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "D5AA2B49B509894EBFF12B1");
